/***************************************************************************
                          kpgdatabaseproppage  -  description
                             -------------------
    begin                : So led 31 2004
    copyright            : (C) 2004 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef KPGDATABASEPROPPAGE_H
#define KPGDATABASEPROPPAGE_H

#include "kpgdatabaseproppagebase.h"

#include <pqxx/util.h> 

#include "../kpgaclitem.h"

class KPGDatabase;

/**
Database properties page

@author Lumir Vanek
*/

class KPGDatabasePropPage : public KPGDatabasePropPageBase
{
Q_OBJECT
public:
    KPGDatabasePropPage(QWidget *parent, KPGDatabase *);
    ~KPGDatabasePropPage();

    void setACL(const QString &);
    
protected:
    KPGDatabase *m_pDatabase;
    KPGAclItemList m_listOfAclItems;

protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);
		virtual void slotTableCastsDblClicked(int, int, int, const QPoint &);
    virtual void slotTableLanguagesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableSchemasDblClicked(int, int, int, const QPoint &);
		virtual void slotTableStatistics2DblClicked(int, int, int, const QPoint &);
    virtual void slotRefreshStatistics();
    
    virtual void slotAclListViewClicked(QListViewItem *, const QPoint &, int);
    virtual void slotUpdateACL();
    
signals:
		void sigSearchObject(const pqxx::oid);
    void sigRunWizard(const QString &); 
};

#endif
