//
// C++ Interface: kpgfunctionproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGFUNCTIONPROPPAGE_H
#define KPGFUNCTIONPROPPAGE_H

#include "kpgfunctionproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

#include "../kpgaclitem.h"

class KPGFunction;

/**
Function property page

@author Lumir Vanek
*/

class KPGSyntaxHighlighter;

class KPGFunctionPropPage : public KPGFunctionPropPageBase
{
Q_OBJECT
public:
    KPGFunctionPropPage(QWidget *parent, KPGFunction *);
    ~KPGFunctionPropPage();

    void setACL(const QString &);
    
protected:

    KPGFunction *m_pFunction;
    KPGAclItemList m_listOfAclItems;
    
protected slots:
    
    // Changes syntax highlighting colors.
    void slotSqlEditorSettingsChanged();

		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);
    virtual void slotAclListViewClicked(QListViewItem *, const QPoint &, int);
    virtual void slotUpdateACL();
		
signals:
		void sigSearchObject(const pqxx::oid);
    void sigRunWizard(const QString &); 
				
protected:
	/** Syntax highlighter for rule definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
};

#endif
