//
// C++ Interface: kpgindexproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGINDEXPROPPAGE_H
#define KPGINDEXPROPPAGE_H

#include "kpgindexproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

class KPGSyntaxHighlighter;
class KPGIndex;

/**
Index properties

@author Lumir Vanek
*/

class KPGIndexPropPage : public KPGIndexPropPageBase
{
Q_OBJECT
public:
    KPGIndexPropPage(QWidget *parent, KPGIndex *);
    ~KPGIndexPropPage();

protected slots:

    /**
     * Changes syntax highlighting colors.
     */
    void slotSqlEditorSettingsChanged();

		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		virtual void slotRefreshStatistics();
signals:
		void sigSearchObject(const pqxx::oid);
    
protected:
  /** Syntax highlighter for index definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
  KPGIndex *m_pIndex;
};

#endif
