//
// C++ Interface: kpgprimarykeyproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGPRIMARYKEYPROPPAGE_H
#define KPGPRIMARYKEYPROPPAGE_H

#include "kpgprimarykeyproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

class KPGSyntaxHighlighter;
class KPGPrimaryKey;

/**
Primary key properties

@author Lumir Vanek
*/

class KPGPrimaryKeyPropPage : public KPGPrimaryKeyPropPageBase
{
Q_OBJECT
public:
    KPGPrimaryKeyPropPage(QWidget *parent, KPGPrimaryKey *);
    ~KPGPrimaryKeyPropPage();
		
protected slots:

    /**
     * Changes syntax highlighting colors.
     */
    void slotSqlEditorSettingsChanged();

    virtual void slotTablePropDblClicked(int, int, int, const QPoint &);  
    virtual void slotRefreshStatistics();
    
signals:
    void sigSearchObject(const pqxx::oid);
        
protected:
  /** Syntax highlighter for index definition */
  KPGSyntaxHighlighter *m_pSyntaxHighlighter;
  KPGPrimaryKey *m_pIndex;
};

#endif
