//
// C++ Interface: kpgschemaproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGSCHEMAPROPPAGE_H
#define KPGSCHEMAPROPPAGE_H

#include "kpgschemaproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

#include "../kpgaclitem.h"

class KPGSchema;

/**
Schema properties

@author Lumir Vanek
*/

class KPGSchemaPropPage : public KPGSchemaPropPageBase
{
Q_OBJECT
public:
    KPGSchemaPropPage(QWidget *parent, KPGSchema *);
    ~KPGSchemaPropPage();

    void setACL(const QString &);
    
protected:

    KPGSchema *m_pSchema;
    KPGAclItemList m_listOfAclItems;
    
protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		virtual void slotCurrentTabChanged( QWidget *);
    virtual void slotTableAggregatesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableConversionsDblClicked(int, int, int, const QPoint &);
    virtual void slotTableDomainsDblClicked(int, int, int, const QPoint &);
    virtual void slotTableFunctionsDblClicked(int, int, int, const QPoint &);
		virtual void slotTableOpClassesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableOperatorsDblClicked(int, int, int, const QPoint &);
    virtual void slotTableSequencesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableTablesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableTypesDblClicked(int, int, int, const QPoint &);
    virtual void slotTableViewsDblClicked(int, int, int, const QPoint &);
		
    virtual void slotAclListViewClicked(QListViewItem *, const QPoint &, int);
    virtual void slotUpdateACL();
    
signals:
		void sigSearchObject(const pqxx::oid);
		void sigCurrentTabChanged(KPGSchemaPropPage *, QWidget *);
    void sigRunWizard(const QString &); 
};

#endif
