//
// C++ Interface: kpgsequenceproppage
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2004
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGSEQUENCEPROPPAGE_H
#define KPGSEQUENCEPROPPAGE_H

#include "kpgsequenceproppagebase.h"

// include files for libpgxx 
#include <pqxx/util.h> 

#include "../kpgaclitem.h"

class KPGSequence;

/**
Sequence properties

@author Lumir Vanek
*/

class KPGSequencePropPage : public KPGSequencePropPageBase
{
Q_OBJECT
public:
    KPGSequencePropPage(QWidget *parent, KPGSequence *);
    ~KPGSequencePropPage();
        
    void setACL(const QString &);
    
protected:
    KPGSequence *m_pSequence;
    KPGAclItemList m_listOfAclItems;
    
protected slots:
    
		virtual void slotTablePropDblClicked(int, int, int, const QPoint &);	
		virtual void slotRefreshStatistics();
    virtual void slotAclListViewClicked(QListViewItem *, const QPoint &, int);
    virtual void slotUpdateACL();
    
signals:
		void sigSearchObject(const pqxx::oid);
    void sigRunWizard(const QString &);
};

#endif
