//
// C++ Interface: kpgpropertypagechildview
//
// Description: 
//
//
// Author: Lumir Vanek <lvanek@users.sourceforge.net>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KPGPROPERTYPAGECHILDVIEW_H
#define KPGPROPERTYPAGECHILDVIEW_H

#include <kmdichildview.h>

class KPGTreeItem;
class QBoxLayout;
class KPoGreView;

/**
MDI child view for property pages

	@author Lumir Vanek <lvanek@users.sourceforge.net>
*/
class KPGPropertyPageChildView : public KMdiChildView
{
	Q_OBJECT
public:
    KPGPropertyPageChildView(KPoGreView *);
    ~KPGPropertyPageChildView();
    
    // Create Properties widget, with regards to selected type in tree
  	QWidget* createPropertiesWidget(KPGTreeItem *);
  	
  	// Return the Properties widget
  	QWidget* getWidgetProperties() const { return m_pWidgetProperties; }

	// Return true, if window can be closed
	bool requestClose();
	
protected:
	// Destroy the Properties widget
	void destroyPropertiesWidget();

private:
	// Display properties for acually selected item in left tree
	QWidget*	m_pWidgetProperties;
	QBoxLayout* m_pLayout;
	KPoGreView* m_pPoGreView;
};

#endif
