/***************************************************************************
                          kpogreview.cpp  -  description
                          -------------------
    begin                : Fre Sep  7 16:06:25 CEST 2001
    copyright            : (C) 2004-2006 by Lumir Vanek
    email                : lvanek@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <pqxx/util.h> 

// include files for Qt
#include <qprinter.h>
#include <qpainter.h>
#include <qregexp.h>
#include <qptrlist.h> 
#include <qtoolbutton.h>

// include files for KDE
#include <kiconloader.h>
#include <kdebug.h>
#include <kmessagebox.h>
#include <kcursor.h>
#include <kpopupmenu.h>
#include <ktextedit.h>
#include <dcopclient.h>
#include <kstatusbar.h>
#include <kconfig.h>
#include <kkeydialog.h>
#include <kedittoolbar.h>
#include <ktabwidget.h>
#include <kapplication.h>

// application specific includes
#include "kpogreview.h"
#include "kpgconnectdialog.h"
#include "kpgsyntaxhighlighter.h"

#include "kpgsqlquerresultwindow.h" 
#include "kpgsqlqueryresultchildview.h"
#include "kpgpropertypagechildview.h"
#include "kpgdatatablechildview.h"
#include "kpogrecontroller.h"
#include "kpgbookmarksbutton.h"
#include "kpgconfiguration.h"

// Database objects includes
#include "DbObjects/kpgconnection.h"
#include "DbObjects/kpgserver.h"

#include "DbObjects/kpgtablespacesfolder.h"
#include "DbObjects/kpgtablespace.h"
#include "DbObjects/kpguser.h"
#include "DbObjects/kpgusersfolder.h"
#include "DbObjects/kpggroupsfolder.h"
#include "DbObjects/kpggroup.h"
#include "DbObjects/kpgdatabase.h"

#include "DbObjects/kpgschema.h"
#include "DbObjects/kpgtablesfolder.h"
#include "DbObjects/kpgviewsfolder.h"
#include "DbObjects/kpgtypesfolder.h"
#include "DbObjects/kpgview.h"
#include "DbObjects/kpgtable.h"
#include "DbObjects/kpgtype.h"
#include "DbObjects/kpgsequencesfolder.h"
#include "DbObjects/kpgsequence.h"
#include "DbObjects/kpgdomainsfolder.h"
#include "DbObjects/kpgdomain.h"
#include "DbObjects/kpgdomainconstraint.h"
#include "DbObjects/kpgdomainconstraintsfolder.h"
#include "DbObjects/kpgfunctionsfolder.h"
#include "DbObjects/kpgfunction.h"
#include "DbObjects/kpgoperatorsfolder.h"
#include "DbObjects/kpgoperator.h"
#include "DbObjects/kpgaggregate.h"
#include "DbObjects/kpglanguage.h"
#include "DbObjects/kpglanguagesfolder.h"

#include "DbObjects/kpgtablecolumnsfolder.h"
#include "DbObjects/kpgtablecolumn.h"
#include "DbObjects/kpgtableconstraintsfolder.h"
#include "DbObjects/kpgprimarykeyconstr.h"
#include "DbObjects/kpgforeignkeyconstr.h"
#include "DbObjects/kpgcheckconstr.h"
#include "DbObjects/kpguniqueconstr.h"
#include "DbObjects/kpgtableindexesfolder.h"
#include "DbObjects/kpgprimarykey.h"
#include "DbObjects/kpgindex.h"
#include "DbObjects/kpgrulesfolder.h"
#include "DbObjects/kpgrule.h"
#include "DbObjects/kpgtriggersfolder.h"
#include "DbObjects/kpgtrigger.h"

// Wizards includes
#include "Wizards/kpgnewobjectdialog.h"
#include "Wizards/kpgdropobjectwizard.h"
#include "Wizards/kpgdroptableobjectwizard.h"
#include "Wizards/kpg2stepswizard.h"
#include "Wizards/kpgrenameobjectwizard.h"
#include "Wizards/kpgcreatetablespacewizard.h"
#include "Wizards/kpgcreatedatabasewizard.h"
#include "Wizards/kpgcreateschemawizard.h"
#include "Wizards/kpgcreatetablewizard.h"
#include "Wizards/kpgcreateviewwizard.h"
#include "Wizards/kpgmodifyviewwizard.h"
#include "Wizards/kpgcreateuserwizard.h"
#include "Wizards/kpgmodifyuserwizard.h"
#include "Wizards/kpgcreategroupwizard.h"
#include "Wizards/kpgmodifygroupwizard.h"
#include "Wizards/kpgcreatelanguagewizard.h"
#include "Wizards/kpgcreatedomainwizard.h"
#include "Wizards/kpgcreatefunctionwizard.h"
#include "Wizards/kpgmodifyfunctionwizard.h"
#include "Wizards/kpgcreatesequencewizard.h"
#include "Wizards/kpgmodifysequencewizard.h"
#include "Wizards/kpgcreatetableconstraintwizard.h"
#include "Wizards/kpgcreatetableindexwizard.h"
#include "Wizards/kpgcreatetablecolumnwizard.h"
#include "Wizards/kpgmodifytablecolumnwizard.h"
#include "Wizards/kpgcreaterulewizard.h"
#include "Wizards/kpgcreatetriggerwizard.h"
#include "Wizards/kpganalysetablewizard.h"
#include "Wizards/kpgvacuumtablewizard.h"
#include "Wizards/kpgcopyfromtablewizard.h"
#include "Wizards/kpgcopytotablewizard.h"
#include "Wizards/kpgsetclustertablewizard.h"
#include "Wizards/kpgsetownerwizard.h"
#include "Wizards/kpgsettablespacewizard.h"
#include "Wizards/kpgsetdomaindefaultwizard.h"
#include "Wizards/kpgcreatedomainconstraintwizard.h"
#include "Wizards/kpgcreatebasetypewizard.h"
#include "Wizards/kpgcreatecompositetypewizard.h"
#include "Wizards/kpgdumpdatabasewizard.h"
#include "Wizards/kpgrestoredatabasewizard.h"
#include "Wizards/kpgprivilegeswizard.h"
#include "Wizards/kpgsetdescriptionwizard.h"

// Wizard pages includes
#include "Wizards/kpgmodifyviewwidget1.h"

// Datatable includes
#include "DataTable/kpgdatatable.h"

KPGConfiguration * KPoGreView::s_pKPGConfig = 0L;


KPoGreView::KPoGreView(KMdi::MdiMode mode) 
	: KMdiMainFrm(0, "KPoGre", mode)
{
  	m_pWidgetProperties = 0;
  	resize( 800, 600 ); // start at 800x600 the first time

	setManagedDockPositionModeEnabled(true);
	setStandardMDIMenuEnabled(false);
	 
	// Initialize GUI
	config=kapp->config();
	
	initStatusBar();
	m_pController = new KPoGreController(this);
	m_pController->initActions(actionCollection());
		
	//-----------------------------------------------------------------
	// use the absolute path to your kpogreui.rc file for testing purpose in createGUI();
  	//createGUI("/home/lvanek/Projects/Own/kpogre/kpogre/kpogreui.rc"); 
  	createGUI(NULL);

	// ... create the bookmark list
	KToolBar * pDatabaseToolBar = toolBar("dbToolBar");
	
	m_pBookmarksButton = new KPGBookmarksButton( pDatabaseToolBar );
	connect( m_pBookmarksButton, SIGNAL( pressed() ), m_pController, SLOT( slotBookmarksButtonPressed() ) );
	m_pBookmarksButton->enableAddBookmarkMenu(false);
	connect( m_pBookmarksButton, SIGNAL( openUrl( const QString& ) ), this, SLOT( slotOpenUrl( const QString& ) ) );
			
	readOptions();
	
	///////////////////////////////////////////////////////////////////
			 
	// Initialize global pixmaps
	KPGTreeItem::m_pIconServer = new QPixmap(UserIcon("server.png"));
	
	KPGTreeItem::m_pIconTablespaceSys = new QPixmap(UserIcon("tblspace_sys.png"));
	KPGTreeItem::m_pIconTablespaceUsr = new QPixmap(UserIcon("tblspace_usr.png"));
	
	KPGTreeItem::m_pIconDatabase = new QPixmap(UserIcon("database.png"));
	KPGTreeItem::m_pIconDatabaseSys = new QPixmap(UserIcon("database_sys.png"));
	KPGTreeItem::m_pIconDatabaseUsr = new QPixmap(UserIcon("database_usr.png"));
		
	KPGTreeItem::m_pIconSchema = new QPixmap(UserIcon("schema.png"));
  	KPGTreeItem::m_pIconSchemaUnl = new QPixmap(UserIcon("schema_unl.png"));
	KPGTreeItem::m_pIconSchemaSys = new QPixmap(UserIcon("schema_sys.png"));
	KPGTreeItem::m_pIconSchemaUsr = new QPixmap(UserIcon("schema_usr.png"));
		
  	KPGTreeItem::m_pIconTable = new QPixmap(UserIcon("table.png"));
	KPGTreeItem::m_pIconFunction = new QPixmap(UserIcon("function.png"));
	KPGTreeItem::m_pIconFunctionC = new QPixmap(UserIcon("function_c.png"));
	KPGTreeItem::m_pIconFunctionSql = new QPixmap(UserIcon("function_sql.png"));
	KPGTreeItem::m_pIconFunctionPl = new QPixmap(UserIcon("function_pl.png"));
	KPGTreeItem::m_pIconView = new QPixmap(UserIcon("view.png"));
	KPGTreeItem::m_pIconSequence = new QPixmap(UserIcon("sequence.png"));
	KPGTreeItem::m_pIconOperator = new QPixmap(UserIcon("operator.png"));
	KPGTreeItem::m_pIconOperatorClass = new QPixmap(UserIcon("operator_class.png"));
	KPGTreeItem::m_pIconAggregate = new QPixmap(UserIcon("aggregate.png"));
	KPGTreeItem::m_pIconUser = new QPixmap(UserIcon("user.png"));
	KPGTreeItem::m_pIconUserSuper = new QPixmap(UserIcon("user_super.png"));
	KPGTreeItem::m_pIconUserCanCreateDb = new QPixmap(UserIcon("user_crt_db.png"));
	KPGTreeItem::m_pIconGroup = new QPixmap(UserIcon("group.png"));
	KPGTreeItem::m_pIconType = new QPixmap(UserIcon("type.png"));
	KPGTreeItem::m_pIconTypeBase = new QPixmap(UserIcon("type_base.png"));
	KPGTreeItem::m_pIconTypeComposite = new QPixmap(UserIcon("type_composite.png"));
	KPGTreeItem::m_pIconTypeStandalone = new QPixmap(UserIcon("type_standalone.png"));
	KPGTreeItem::m_pIconLanguage = new QPixmap(UserIcon("language.png"));
	KPGTreeItem::m_pIconDomain = new QPixmap(UserIcon("domain.png"));
	KPGTreeItem::m_pIconConversion = new QPixmap(UserIcon("conversion.png"));
	KPGTreeItem::m_pIconCast = new QPixmap(UserIcon("cast.png"));
	
	KPGTreeItem::m_pIconColumnOther = new QPixmap(UserIcon("column.png"));
	KPGTreeItem::m_pIconColumnBool = new QPixmap(UserIcon("column_bool.png"));
	KPGTreeItem::m_pIconColumnGeo = new QPixmap(UserIcon("column_geo.png"));   	
	KPGTreeItem::m_pIconColumnNet = new QPixmap(UserIcon("column_net.png"));
	KPGTreeItem::m_pIconColumnOid = new QPixmap(UserIcon("column_oid.png")); 
	KPGTreeItem::m_pIconColumnXid = new QPixmap(UserIcon("column_xid.png"));
	KPGTreeItem::m_pIconColumnTid = new QPixmap(UserIcon("column_tid.png"));
	KPGTreeItem::m_pIconColumnCid = new QPixmap(UserIcon("column_cid.png"));
	KPGTreeItem::m_pIconColumnDate = new QPixmap(UserIcon("column_date.png"));
	KPGTreeItem::m_pIconColumnChar = new QPixmap(UserIcon("column_char.png"));  
	KPGTreeItem::m_pIconColumnNum = new QPixmap(UserIcon("column_num.png"));
	KPGTreeItem::m_pIconColumnTime = new QPixmap(UserIcon("column_time.png"));
	KPGTreeItem::m_pIconColumnBit = new QPixmap(UserIcon("column_bit.png"));
	KPGTreeItem::m_pIconColumnBin = new QPixmap(UserIcon("column_bin.png"));
		 
	KPGTreeItem::m_pIconPrimaryKeyConstr = new QPixmap(UserIcon("primary_key.png"));
	KPGTreeItem::m_pIconForeignKeyConstr = new QPixmap(UserIcon("foreign_key.png"));
	KPGTreeItem::m_pIconUniqueConstr = new QPixmap(UserIcon("index.png"));
	KPGTreeItem::m_pIconCheckConstr = new QPixmap(UserIcon("check.png"));
	KPGTreeItem::m_pIconPrimaryKey = new QPixmap(UserIcon("primary_key.png"));
	KPGTreeItem::m_pIconIndex = new QPixmap(UserIcon("index.png"));
	KPGTreeItem::m_pIconRule = new QPixmap(UserIcon("rule.png"));
	KPGTreeItem::m_pIconTrigger = new QPixmap(UserIcon("trigger.png"));
	 
	KPGTreeItem::m_pIconFolderBlue = new QPixmap(SmallIcon("folder_blue.png"));
	KPGTreeItem::m_pIconFolderRed = new QPixmap(SmallIcon("folder_red.png"));
	KPGTreeItem::m_pIconFolderCyan = new QPixmap(SmallIcon("folder_cyan.png"));
	KPGTreeItem::m_pIconFolderGreen = new QPixmap(SmallIcon("folder_green.png"));
	KPGTreeItem::m_pIconFolderYellow = new QPixmap(SmallIcon("folder_yellow.png"));
	KPGTreeItem::m_pIconFolderViolet = new QPixmap(SmallIcon("folder_violet.png"));
	KPGTreeItem::m_pIconFolderGrey = new QPixmap(SmallIcon("folder_grey.png"));
	
	// MDI close button
#if KDE_IS_VERSION(3, 3, 0)
	setToolviewStyle( KMdi::TextAndIcon );
	tabWidget()->setHoverCloseButton( false );
	
//	if (Settings::showCloseTabsButton())
//	{
		QToolButton *but = new QToolButton(tabWidget());
		but->setIconSet(SmallIcon("tab_remove"));
		but->adjustSize();
		but->hide();
		connect(but, SIGNAL(clicked()), actionCollection()->action( "file_close" ), SIGNAL(activated()));
		tabWidget()->setCornerWidget(but, TopRight);
//	}
#endif
	
		
	// Left tree view
	m_pViewTree = new QListView(this);
	m_pViewTree->setIcon( SmallIcon("view_tree") );
	m_pViewTree->setCaption( i18n("Servers") );
	m_pViewTree->addColumn(i18n("Tree"));
	m_pViewTree->setRootIsDecorated(true);
	m_pViewTree->setAllColumnsShowFocus(true);
	m_pViewTree->setSortColumn(-1);
	addToolWindow( m_pViewTree, KDockWidget::DockLeft, getMainDockWidget(), 20 );

	connect(m_pViewTree, SIGNAL(rightButtonPressed(QListViewItem*, const QPoint&, int)), this, SLOT  (slotTreeViewRightButtonPressed(QListViewItem*, const QPoint&, int)) );
	
	connect( m_pViewTree, SIGNAL(selectionChanged()), this, SLOT(slotSelectionChanged()));
			
	connect( this, SIGNAL(sigContextMenuRequested(const QString&,const QPoint&)), this, SLOT(slotContextMenuRequested(const QString&,const QPoint&)) );
	
	m_pWidgetProperties = 0;
	connect( this, SIGNAL( viewActivated( KMdiChildView * ) ), this, SLOT( slotCurrentChildViewChanged( KMdiChildView * ) ) );
	
	createPropertyPageChildView(0);
	
	setAutoSaveSettings();
	
	// Read the dock config only if the app was started at least only once - kmdi is tricky
    KConfig *cfg = new KConfig("KPoGre_dockposrc");
    if (cfg->readNumEntry("KPoGre_main_dock_settings", 0) == 1) manager()->readConfig(cfg);
    cfg->writeEntry("KPoGre_main_dock_settings", 1);
    delete cfg;
    
    KToolBar * pDataTableToolBar = toolBar("dataTableToolBar");
	pDataTableToolBar->hide();
}

KPoGreView::~KPoGreView()
{
	KConfig *cfg = new KConfig("KPoGre_dockposrc");
    manager()->writeConfig(cfg);
    delete cfg;
        
	delete m_pViewTree;
	
	if ( s_pKPGConfig )
		delete s_pKPGConfig;

	s_pKPGConfig = 0L;

  	if(m_pBookmarksButton)
    	delete m_pBookmarksButton;
		
	delete m_pController;
}

/////////////////////////////////////////////////////////////////////
//                     PUBLIC FUNCTIONS
/////////////////////////////////////////////////////////////////////

KPGConfiguration * KPoGreView::configuration()
{
	if ( ! s_pKPGConfig )
		s_pKPGConfig = new KPGConfiguration();

	return s_pKPGConfig;
}

void KPoGreView::print(QPrinter *pPrinter)
{
  QPainter printpainter;
  printpainter.begin(pPrinter);
	
  // TODO: add your printing code here

  printpainter.end();
}

void KPoGreView::setWaitCursor()
{
  setCursor(KCursor::waitCursor());
  m_pViewTree->setCursor(KCursor::waitCursor());
}

void KPoGreView::setNormalCursor()
{
  setCursor(KCursor::arrowCursor());
  m_pViewTree->setCursor(KCursor::arrowCursor());
}

// Set the given sql-string from an sqlfile on inputArea
void KPoGreView::setSQLText(const QString sqlText)
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::setSQLText terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->setText( sqlText );
}

// Return SQL test from input area
const QString KPoGreView::getSQLText()
{
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::getSQLText terminal is not selected " << endl;
		return QString();
	}

  	return pQueryResultWindow->editQuery()->text();
}

// Return the currently selected result table (e.g. for saving the content to a file
QTable* KPoGreView::getCurrentlySelectedTableResult()
{
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::getCurrentlySelectedTableResult terminal is not selected " << endl;
		return 0;
	}
  
	return pQueryResultWindow->tableResult();	
	
}

KPGSqlQueryResultChildView * KPoGreView::createSqlQueryResultChildView()
{
	KPGSqlQueryResultChildView *pChildView = new KPGSqlQueryResultChildView(this);

	addWindow( pChildView );
	
	// connect signals to slots
	KPGSqlQueryResultWindow *pQueryResultWindow = pChildView->getSqlQueryResultWindow();
	
	connect( pQueryResultWindow, SIGNAL(sigRequestDatabasesList(KPGSqlQueryResultWindow *, const QString&)), this, SLOT(slotRequestDatabasesList(KPGSqlQueryResultWindow *, const QString&)));
		
	connect( pQueryResultWindow, SIGNAL(sigQueryTextChanged(KPGSqlQueryResultWindow *)), this, SLOT(slotQueryTextChanged(KPGSqlQueryResultWindow *)));
		
	connect( pQueryResultWindow, SIGNAL(sigCopyAvailable(KPGSqlQueryResultWindow *, bool)), this, SLOT(slotCopyAvailable(KPGSqlQueryResultWindow *, bool)));
		
	connect( pQueryResultWindow, SIGNAL(sigUndoAvailable(KPGSqlQueryResultWindow *, bool)), this, SLOT(slotUndoAvailable(KPGSqlQueryResultWindow *, bool)));
		
	connect( pQueryResultWindow, SIGNAL(sigRedoAvailable(KPGSqlQueryResultWindow *, bool)), this, SLOT(slotRedoAvailable(KPGSqlQueryResultWindow *, bool)));
    
	connect( pQueryResultWindow, SIGNAL(sigSetTerminalIcon(KPGSqlQueryResultWindow *, int)), this, SLOT(slotSetTerminalIcon(KPGSqlQueryResultWindow *, int)));
		
	connect( pQueryResultWindow, SIGNAL(sigQueryResultStateChanged(KPGSqlQueryResultWindow *)), this, SLOT(slotQueryResultStateChanged(KPGSqlQueryResultWindow *)));
		
	connect( pQueryResultWindow, SIGNAL(sigEnableFileActions(bool, bool, bool)), m_pController, SLOT(slotEnableFileActions(bool, bool, bool)));
		
	connect( pQueryResultWindow, SIGNAL(sigEnableDbFetchActions(bool, bool)), m_pController, SLOT(slotEnableDbFetchActions(bool, bool)));
		
	// Inform about change of current view
	slotCurrentChildViewChanged( pChildView );
	return pChildView;
}

KPGPropertyPageChildView * KPoGreView::createPropertyPageChildView(KPGTreeItem * pItem)
{
 	KMdiIterator<KMdiChildView*>* it = createIterator();
    for ( it->first(); !it->isDone(); it->next() )
    {
    	KMdiChildView * pMdiChildView = it->currentItem();
         
        if(pMdiChildView->className() == QString("KPGPropertyPageChildView"))
		{
			// already exists
			KPGPropertyPageChildView *pChildView = static_cast <KPGPropertyPageChildView*> (pMdiChildView);
			m_pWidgetProperties = pChildView->createPropertiesWidget(pItem);
			delete it;
			return pChildView;
		}
                      
     }
     delete it;
	 	
 	KPGPropertyPageChildView *pChildView = new KPGPropertyPageChildView(this);
	m_pWidgetProperties = pChildView->createPropertiesWidget(pItem);
	
	addWindow( pChildView );

	slotCurrentChildViewChanged( pChildView );
	return pChildView;
}

KPGDataTableChildView * KPoGreView::createDataTableChildView(KPGConnection * pConnection, const QString & strNamespace, KPGTable *pTable)
{
	KPGDataTableChildView *pChildView = new KPGDataTableChildView(this, pConnection, strNamespace, pTable);
	addWindow( pChildView );
	
	KToolBar * pDataTableToolBar = toolBar("dataTableToolBar");
	pDataTableToolBar->show();
	return pChildView;
}

KPGSqlQueryResultWindow * KPoGreView::getActiveSqlQueryResultWindow()
{
	KMdiChildView* pMdiChildView = activeWindow();
	if(pMdiChildView == 0) return 0;
	if(pMdiChildView->className() == QString("KPGSqlQueryResultChildView"))
	{
		KPGSqlQueryResultChildView *pChildView = static_cast <KPGSqlQueryResultChildView*> (pMdiChildView);
		return pChildView->getSqlQueryResultWindow();
	}
	return 0;
}

KPGDataTable * KPoGreView::getActiveDataTable()
{
	KMdiChildView* pMdiChildView = activeWindow();
	if(pMdiChildView == 0) return 0;
	if(pMdiChildView->className() == QString("KPGDataTableChildView"))
	{
		KPGDataTableChildView *pChildView = static_cast <KPGDataTableChildView*> (pMdiChildView);
		return pChildView->getDataTable();
	}
	return 0;	
}

KPGSqlQueryResultChildView * KPoGreView::getActiveSqlQueryResultChildView()
{
	KMdiChildView* pMdiChildView = activeWindow();
	if(pMdiChildView == 0) return 0;
	if(pMdiChildView->className() == QString("KPGSqlQueryResultChildView"))
	{
		KPGSqlQueryResultChildView *pChildView = static_cast <KPGSqlQueryResultChildView*> (pMdiChildView);
		return pChildView;
	}
	return 0;
}

KPGDataTableChildView * KPoGreView::getActiveDataTableChildView()
{
	KMdiChildView* pMdiChildView = activeWindow();
	if(pMdiChildView == 0) return 0;
	if(pMdiChildView->className() == QString("KPGDataTableChildView"))
	{
		KPGDataTableChildView *pChildView = static_cast <KPGDataTableChildView*> (pMdiChildView);
		return pChildView;
	}
	return 0;
}

bool KPoGreView::requestClose()
{
	KMdiChildView* pMdiChildView = activeWindow();
	if (pMdiChildView == 0) return false;
	

	if(pMdiChildView->className() == QString("KPGPropertyPageChildView"))
	{
		KPGPropertyPageChildView *pPropertyPageChildView = static_cast <KPGPropertyPageChildView *> (pMdiChildView);
		if(pPropertyPageChildView->requestClose() == false)
			return false;
			
		m_pWidgetProperties = 0;
	}
	else if(pMdiChildView->className() == QString("KPGSqlQueryResultChildView"))
	{
		KPGSqlQueryResultChildView *pSqlQueryResultChildView = static_cast <KPGSqlQueryResultChildView *> (pMdiChildView);
		if(pSqlQueryResultChildView->requestClose() == false)
			return false;
	}
	else if(pMdiChildView->className() == QString("KPGDataTableChildView"))
	{
		KPGDataTableChildView *pDataTableChildView = static_cast <KPGDataTableChildView *> (pMdiChildView);
		if(pDataTableChildView->requestClose() == false)
			return false;
	}
			
	closeWindow( pMdiChildView );
	
	// Look at datatable views, if not exists hide toolbar for datatable
	bool bDataTableChildViewExists = false;
	KMdiIterator<KMdiChildView*>* it = createIterator();
    for ( it->first(); !it->isDone(); it->next() )
    {
    	if(it->currentItem()->className() == QString("KPGDataTableChildView"))
		{	
			bDataTableChildViewExists = true;
			break;
		}
                      
     }
    delete it;
	
	if(bDataTableChildViewExists)
	{
		KToolBar * pDataTableToolBar = toolBar("dataTableToolBar");
		pDataTableToolBar->hide();
	}
	
	return true;
}

/////////////////////////////////////////////////////////////////////
//                     PROTECTED FUNCTIONS
/////////////////////////////////////////////////////////////////////	


void KPoGreView::initStatusBar()
{
  statusBar()->insertItem(i18n("Ready."), ID_STATUS_MSG);
}

void KPoGreView::saveOptions()
{	
	config->setGroup("General Options");
	config->writeEntry("Geometry", size());
	config->writeEntry("Show Toolbar", m_pController->isActViewToolBarChecked());
	config->writeEntry("Show Statusbar",m_pController->isActViewStatusBarChecked());
	config->writeEntry("mainToolBarPos", (int) toolBar("mainToolBar")->barPos());
	config->writeEntry("pathToolBarPos", (int) toolBar("pathToolBar")->barPos());
	config->writeEntry("dbToolBarPos", (int) toolBar("dbToolBar")->barPos());
  	m_pController->getRecentFilesAction()->saveEntries(config,"Recent Files");
}

void KPoGreView::readOptions()
{
	config->setGroup("General Options");
	
	// bar status settings
	bool bViewToolbar = config->readBoolEntry("Show Toolbar", true);
	m_pController->setActViewToolBarChecked(bViewToolbar);
	m_pController->slotViewToolBar();
	
	bool bViewStatusbar = config->readBoolEntry("Show Statusbar", true);
	m_pController->setActViewStatusBarChecked(bViewStatusbar);
	m_pController->slotViewStatusBar();
	
	// bar position settings
	KToolBar::BarPosition toolBarPos;
	toolBarPos=(KToolBar::BarPosition) config->readNumEntry("mainToolBarPos", KToolBar::Top);
	toolBar("mainToolBar")->setBarPos(toolBarPos);
		
	toolBarPos=(KToolBar::BarPosition) config->readNumEntry("pathToolBarPos", KToolBar::Top);
	toolBar("pathToolBar")->setBarPos(toolBarPos);
		
	toolBarPos=(KToolBar::BarPosition) config->readNumEntry("dbToolBarPos", KToolBar::Left);
	toolBar("dbToolBar")->setBarPos(toolBarPos);
		
	// initialize the recent file list
	m_pController->getRecentFilesAction()->loadEntries(config,"Recent Files");
	
	QSize size=config->readSizeEntry("Geometry");
	if(!size.isEmpty())
	{
		resize(size);
	}
}


// Select given tree item
void KPoGreView::selectItem(KPGTreeItem * const pItem)
{
	if ( ! pItem  )
	{
		kdDebug() << "KPoGreView::selectItem: the given pointer is a null pointer" << endl;
		return;
	}

	m_pViewTree->setSelected( pItem, true );
	m_pViewTree->setCurrentItem( pItem );
	m_pViewTree->ensureItemVisible( pItem );
}

// Select item defined bu OID and path
KPGTreeItem* KPoGreView::findItem(const KPGOidLink & oidLink)
{
	QString strPath = oidLink.path();
	
	int iPos = strPath.find('/');
	if(iPos <= 0) return 0;

	QString strServer = strPath.mid(0, iPos);
	
	// search server
	QListViewItem * pItem = m_pViewTree->firstChild();
	while(pItem)
	{
		if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
		{
			KPGServer *pServer = static_cast <KPGServer *> (pItem);
			if(pServer->text(0) != strServer)
			{ 
				pItem = pItem->nextSibling(); continue; 
			}
				// remove server name from path
			QString strPath2 = strPath.mid(iPos + 1, strPath.length() - iPos - 1);
									
			//--- traverse list of databases
			KPGTreeItem * pItem2 = static_cast <KPGTreeItem *> (pServer->firstChild());
					
			while(pItem2)
			{
				KPGTreeItem * pFoundItem = 0;
					
				if((pFoundItem = pItem2->searchObject(strPath2, oidLink.oid())) != 0)
				{
					return pFoundItem;
				}
				pItem2 = static_cast <KPGTreeItem *> (pItem2->nextSibling());
			}
			pItem = pItem->nextSibling();
		}
	}

	return 0;
}

KPGDatabase * KPoGreView::lookUpParentDatabaseAndListOfSchemas(KPGTreeItem * pItem, QPtrList<QListViewItem> & listOfSchemas)
{
	KPGDatabase * pDatabase = 0;
	 
	if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeSchema)
		{
			pDatabase = static_cast <KPGDatabase *> (pItem->parent());
			listOfSchemas.append(static_cast <KPGSchema *> (pItem));
		}
		else
		{
			if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeDatabase)
			{
				pDatabase = static_cast <KPGDatabase *> (pItem);
				
				// Traverse Database childs and add schemas to combobox
				QListViewItem * pChildItem = pItem->firstChild();
				while(pChildItem)
				{			
					if((static_cast <KPGTreeItem *> (pChildItem))->type() == KPGTreeItem::nodeSchema)
					{
						listOfSchemas.append(static_cast <KPGSchema *> (pChildItem));
					}
		
					pChildItem = pChildItem->nextSibling();
				}
			}
		}
		
	return pDatabase;
}

void KPoGreView::refreshItemsFolder(KPGTreeItem * pItem, const QString & strFolderName)
{
	if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeSchema)
			{
				KPGItemsFolder *pItemsFolder = static_cast <KPGItemsFolder *> (pItem->getChildByName(strFolderName));
				pItemsFolder->refresh(); // refresh folder
			}
			else
			{
				if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeDatabase)
				{
					//KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pItem);
					
					// Traverse Database childs refresh schemas table folders
					QListViewItem * pChildItem = pItem->firstChild();
					while(pChildItem)
					{			
						if((static_cast <KPGTreeItem *> (pChildItem))->type() == KPGTreeItem::nodeSchema)
						{
						  KPGSchema *pSchema = static_cast <KPGSchema *> (pChildItem);	
              
              KPGItemsFolder *pItemsFolder = static_cast <KPGItemsFolder *> (pSchema->getChildByName(strFolderName));
							if(!pItemsFolder)
              {
                kdDebug() << "KPoGreView::refreshItemsFolder: getChildByName return null pointer for " << strFolderName << endl;
                return;
              }
              pItemsFolder->refresh(); // refresh all schemas tables folder under database
			}
			
				pChildItem = pChildItem->nextSibling();
			}
		}
	}
}

// Send SQL query to server
void KPoGreView::runQuery()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::runQuery terminal is not selected " << endl;
		return;
	}
		
	// search selected server and database
	QListViewItem * pItem = m_pViewTree->firstChild();
	KPGDatabase *pDatabase = pQueryResultWindow->lookupDatabase(pItem);
	if(pDatabase)
		pQueryResultWindow->runQuery(pDatabase);
	else
		kdError() << "KPoGreView::runQuery - can't obtain database !" << endl;
}

// Walk through m_pViewTree items
KPGTreeItem * KPoGreView::nextTreeItem(const KPGTreeItem *pItem)
{
	if(pItem == 0)
	{
		kdDebug() << "KPoGreView::nextTreeItem - the given item is null" << endl;
		return 0;
	}
	
	// checking for a child
	if ( ! pItem->firstChild() == 0 )
		return static_cast <KPGTreeItem *> (pItem->firstChild());

	// there is no child -> checking for the next sibling
	if ( ! pItem->nextSibling() == 0 )
		return static_cast <KPGTreeItem *> (pItem->nextSibling());

	// there is no next sibling -> checking for parents' next sibling(s)
	KPGTreeItem *pItemParent = static_cast <KPGTreeItem *> (pItem->parent());
	while ( ! pItemParent == 0 )
	{
		if ( ! pItemParent->nextSibling() == 0 )
			return static_cast <KPGTreeItem *> (pItemParent->nextSibling());

		pItemParent = static_cast <KPGTreeItem *> (pItemParent->parent()); // parent has no sibling - try its parent
	}

	// parent has no parents anymore
	return 0;
}


// Set menu actions with regard of given KPGSqlQueryResultWindow
void KPoGreView::setActions(KPGSqlQueryResultWindow* pQueryResultWindow)
{
  bool bRunning = pQueryResultWindow->running();  
  bool bEnableRunQueryAction = false;
        
  if((pQueryResultWindow->m_pComboBoxDatabase->count() > 0) && (!bRunning))
    bEnableRunQueryAction = true;

  emit sigEnableRunQueryAction(bEnableRunQueryAction);
  emit sigEnableStopQueryAction(bRunning);
      
  if(bRunning)
  {
    // disable File, Edit and Fetch actions for running SQL
    emit sigEnableDbFetchActions(false, false);
    emit sigEnableFileActions(false, false, false);
    emit sigEnableEditActions(false, false, false, false, false, false);
  }
  else
  {
    bool bFetchedAllRows = pQueryResultWindow->fetchedAllRows();
    emit sigEnableDbFetchActions(!bFetchedAllRows, !bFetchedAllRows);
      
    emit sigEnableFileActions(true, 
                              pQueryResultWindow->queryTextChanged(), 
                              !pQueryResultWindow->resultEmpty()
                             );
                              
    emit sigEnableEditActions(pQueryResultWindow->editQuery()->isUndoAvailable(),
                              pQueryResultWindow->editQuery()->isRedoAvailable(), 
                              pQueryResultWindow->editQuery()->hasSelectedText(),
                              true,
                              true,
                              pQueryResultWindow->editQuery()->length() > 0
                             );
  }
}

/////////////////////////////////////////////////////////////////////
//                     ACTION FUNCTIONS
/////////////////////////////////////////////////////////////////////

// Called when user choose bookmark
void KPoGreView::openUrl(const QString& strUrl)
{
    
	QString strHost;
	QString strPort;
	QString strUser;
	QString strDatabase;
	
	int pos = 0;        
	
	// find host name in URL
	QRegExp patternHost("host=\\S*[\\s,]", false); // search keyword
				
	pos=patternHost.search(strUrl, 0);
	if(pos >= 0)
	{
		int l = patternHost.matchedLength();
		strHost = strUrl.mid(pos + 5, l - 6);
	} 
	else
		KMessageBox::sorry(this, "Cannot parse URL");
	
	// find port number in URL
	QRegExp patternPort("port=\\S*[\\s,]", false); // search keyword
				
	pos=patternPort.search(strUrl, 0);
	if(pos >= 0)
	{
		int l = patternPort.matchedLength();
		strPort = strUrl.mid(pos + 5, l - 6);
	} 
	else
		KMessageBox::sorry(this, "Cannot parse URL");
	
	// find user name in URL
	QRegExp patternUser("user=\\S*", false); // search keyword
				
	pos=patternUser.search(strUrl, 0);
	if(pos >= 0)
	{
		int l = patternUser.matchedLength();
		strUser = strUrl.mid(pos + 5, l - 5);
	}
	else
		KMessageBox::sorry(this, "Cannot parse URL");
		
	// find database name in URL
	QRegExp patternDatabase("dbname=\\S*", false); // search keyword
				
	pos=patternDatabase.search(strUrl, 0);
	if(pos >= 0)
	{
		int l = patternDatabase.matchedLength();
		strDatabase = strUrl.mid(pos + 7, l - 7);
	}
	else
		KMessageBox::sorry(this, "Cannot parse URL");
		
	
	// display connect dialog
	KPGConnectDialog dlg( this, "connect dialog" );
	dlg.setHostName(strHost);
	dlg.setUserName(strUser);
	dlg.setPortNumber(strPort);
	dlg.setDatabaseName(strDatabase);
	dlg.setGui();
	if( dlg.exec() != QDialog::Accepted )
		{
		return;
		}
		
		//--- check if server is already connected
		QListViewItem * pItem = m_pViewTree->firstChild();
		while(pItem)
		{
			if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
			{
				KPGServer *pServer = static_cast <KPGServer *> (pItem);
				if(pServer->text(0) == dlg.hostName())
					{ 
						KMessageBox::sorry(this, i18n("Server is already connected"));
						return;
					}	
			pItem = pItem->nextSibling();
			}
		}	
			
	KPGServer *pgServer = new KPGServer(m_pViewTree);
	setWaitCursor();
	
	bool bSuccess = false;
	
	try
	{
		bSuccess = pgServer->connectToServer(dlg.hostName(), dlg.portNumber(), dlg.databaseName(), dlg.userName(), dlg.password());
		
		// Inform active MDI child about change of available servers
		KMdiChildView *activeMdiView = activeWindow();
		if(activeMdiView)
		{
			slotCurrentChildViewChanged(activeMdiView);
		}
	}
	catch(const std::exception &e)
	{
		delete pgServer; // delete unsucessfull connection
		setNormalCursor();
		KMessageBox::sorry(this, e.what());
		return;
	}
	
	setNormalCursor();
	if(!bSuccess)
	{
		delete pgServer; // delete unsucessfull connection
		KMessageBox::sorry(this, i18n("Failed to open connection !"));
	}
}

// Connect to PostgreSQL server
void KPoGreView::databaseConnect()
{
  	KPGConnectDialog dlg( this, "connect dialog" );
	if( dlg.exec() != QDialog::Accepted )
  	{
    	return;
  	}
		
	//--- check if server is already connected
	QListViewItem * pItem = m_pViewTree->firstChild();
	while(pItem)
	{
		if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
		{
			KPGServer *pServer = static_cast <KPGServer *> (pItem);
			
			if(pServer->text(0) == dlg.hostName())
				{ 
					KMessageBox::sorry(this, i18n("Server is already connected"));
					return;		
				}	
		  pItem = pItem->nextSibling();
		}
	}
	
	
	KPGServer *pgServer = new KPGServer(m_pViewTree);
	setWaitCursor();
  
	try
	{
		pgServer->connectToServer(dlg.hostName(), dlg.portNumber(), dlg.databaseName(), dlg.userName(), dlg.password());
		
		// Inform active MDI child about change of available servers, databases
		KMdiChildView *activeMdiView = activeWindow();
		if(activeMdiView)
		{
			slotCurrentChildViewChanged(activeMdiView);
		}
	}
	catch(const std::exception &e)
	{
		delete pgServer; // delete unsucessfull connection
		KMessageBox::sorry(this, e.what());
	}
	
	setNormalCursor();
}

// Disconnect from selected server
void KPoGreView::databaseDisconnect()
{

  KPGTreeItem * pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(pItem )
  {
    if(pItem->type() != KPGTreeItem::nodeServer)
      return;
          
    QString question = "Disconnect from ";
		question.append(pItem->text(0));
		question.append(" ?");
	if( KMessageBox::questionYesNo(this, question, "Question") == KMessageBox::Yes )
    {
        delete pItem;
        
        // Inform active MDI child about change of available servers, databases
		KMdiChildView *activeMdiView = activeWindow();
		if(activeMdiView)
		{
			slotCurrentChildViewChanged(activeMdiView);
		}
    }
  }  
}

// Send SQL from current query/result window to server
void KPoGreView::databaseRunQuery()
{
  runQuery();
}

// Stop SQL query from current query/result window
void KPoGreView::databaseStopQuery()
{
  	// get current SQL query result window
  	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::databaseStopQuery terminal is not selected " << endl;
		return;
	}
	
  	pQueryResultWindow->stopQuery(); 
}

// Fetch next X rows from large result
void KPoGreView::databaseFetchNext()
{
  	// get current SQL query result window
  	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::databaseFetchNext terminal is not selected " << endl;
		return;
	}
  
  	pQueryResultWindow->fetchNext();
}
  
// Fetch all rows from large result  
void KPoGreView::databaseFetchAll()
{
  	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::databaseFetchAll terminal is not selected " << endl;
		return;
	}
	
  	pQueryResultWindow->fetchAll(); 
}  

// Allow user edit result in Data Table
/*void KPoGreView::databaseEditResult()
{
  // get current SQL query result window
  QWidget *pCurrentPage = m_pTabPropertiesAndTerminals->currentPage();
  if(pCurrentPage == m_pWidgetProperties)
  {
  kdError() << "KPoGreView::databaseEditResult - terminal is not selected " << endl;
    return;
  }
    
  KPGSqlQueryResultWindow* pQueryResultWindow = static_cast <KPGSqlQueryResultWindow *> (pCurrentPage);
      
  // search selected server and database
  QListViewItem * pItem = m_pViewTree->firstChild();
  KPGDatabase *pDatabase = pQueryResultWindow->lookupDatabase(pItem);
  if(pDatabase)
  {
    KPGDataTableDialog dlg(this, "DataTable dialog", pDatabase->connection());
    if(dlg.exec() != QDialog::Accepted)
    return;
  }
  else
    kdError() << "KPoGreView::databaseEditResult - can't obtain database !" << endl;
}*/

void KPoGreView::databaseWizard()
{
	KPGTreeItem * pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(!pItem) return;
	
	//---------------------------------------------------------------------------------
	KPGNewObjectDialog::eNewObjectIconSet eIconSet; // icon set for dialog
	QString strCaption;
	bool bTablespces = false;
   
	if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
		{ 
      if((static_cast <KPGServer *> (pItem))->versionMajor() >= 8) 
        bTablespces = true;
        
      eIconSet = KPGNewObjectDialog::iconSetServer;
			strCaption = i18n("New server object");
		}
	else
		if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeDatabase)
	 	{
				eIconSet = KPGNewObjectDialog::iconSetDatabase; 
				strCaption = i18n("New database object");
		}
		else
			{
        if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeSchema)
        {
          eIconSet = KPGNewObjectDialog::iconSetSchema; 
          strCaption = i18n("New schema object");
        } 
        else
          {
            if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeTable)
            {
              eIconSet = KPGNewObjectDialog::iconSetTable; 
              strCaption = i18n("New table object");
            }         
            else 
              return;
          }
	   }
     
	KPGNewObjectDialog dlg(this, "KPGNewObjectDialog", eIconSet, strCaption, bTablespces);
	if(dlg.exec() != QDialog::Accepted)
  	return;
	
  //******************************************************************************************
  //
  // Main objects
  //
  //******************************************************************************************
          
	if(dlg.objectType() == "database")
	{
		if(createDatabaseWizard(static_cast <KPGServer *> (pItem)))
			pItem->refresh();
		
		return;
	}
		
  if(dlg.objectType() == "tablespace")
  {
    if(createTablespaceWizard(static_cast <KPGServer *> (pItem)))
    {
      setWaitCursor();
      KPGItemsFolder *pFolder = (static_cast <KPGServer *> (pItem))->getTablespacesFolder();
      pFolder->refresh();
      setNormalCursor();
    }
    return;
  }
  
	if(dlg.objectType() == "group")
	{
		if(createGroupWizard(static_cast <KPGServer *> (pItem)))
		{
			setWaitCursor();
			KPGItemsFolder *pFolder = (static_cast <KPGServer *> (pItem))->getGroupsFolder();
			pFolder->refresh();
			setNormalCursor();
		}
		return;
	}
	
	if(dlg.objectType() == "user")
	{
		if(createUserWizard(static_cast <KPGServer *> (pItem)))
		{
			setWaitCursor();
			KPGItemsFolder *pFolder = (static_cast <KPGServer *> (pItem))->getUsersFolder();
			pFolder->refresh();
			setNormalCursor();
		}
		return;
	}

  //******************************************************************************************
  //
  // Database objects
  //
  //******************************************************************************************
        
	if(dlg.objectType() == "schema")
	{
		if(createSchemaWizard(static_cast <KPGDatabase *> (pItem)))
		{
			setWaitCursor();
			pItem->refresh();
			setNormalCursor();
		}
		return;
	}
  
  if(dlg.objectType() == "language")
  {
    if(createLanguageWizard(static_cast <KPGDatabase *> (pItem)))
    {
      setWaitCursor();
      KPGItemsFolder *pFolder = (static_cast <KPGDatabase *> (pItem))->getLanguagesFolder();
      pFolder->refresh();
      setNormalCursor();
    }
    return;
  }
		
	if(dlg.objectType() == "table")
	{
		// Setup namespace(s) and find connection
		QPtrList<QListViewItem> listOfSchemas;
		KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
					
		if(createTableWizard(pDatabase, listOfSchemas))
			refreshItemsFolder(pItem, i18n("Tables"));
			
		return;
	}
  
  if(dlg.objectType() == "base type")
  {
    // Setup namespace(s) and find connection
    QPtrList<QListViewItem> listOfSchemas;
    KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
          
    if(createBaseTypeWizard(pDatabase, listOfSchemas))
      refreshItemsFolder(pItem, i18n("Types"));
      
    return;
  }
  
  if(dlg.objectType() == "composite type")
  {
    // Setup namespace(s) and find connection
    QPtrList<QListViewItem> listOfSchemas;
    KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
          
    if(createCompositeTypeWizard(pDatabase, listOfSchemas))
      refreshItemsFolder(pItem, i18n("Types"));
      
    return;
  }
	
	if(dlg.objectType() == "view")
	{
		// Setup namespace(s) and find connection
		QPtrList<QListViewItem> listOfSchemas;
		KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
					
		if(createViewWizard(pDatabase, listOfSchemas))
			refreshItemsFolder(pItem, i18n("Views"));
			
		return;
	}
	
  if(dlg.objectType() == "function")
  {
    // Setup namespace(s) and find connection
    QPtrList<QListViewItem> listOfSchemas;
    KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
          
    if(createFunctionWizard(pDatabase, listOfSchemas))
      refreshItemsFolder(pItem, i18n("Functions"));
      
    return;
  }
  
  if(dlg.objectType() == "domain")
  {
    // Setup namespace(s) and find connection
    QPtrList<QListViewItem> listOfSchemas;
    KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
          
    if(createDomainWizard(pDatabase, listOfSchemas))
      refreshItemsFolder(pItem, i18n("Domains"));
      
    return;
  }
	
	if(dlg.objectType() == "sequence")
  {
    // Setup namespace(s) and find connection
    QPtrList<QListViewItem> listOfSchemas;
    KPGDatabase *pDatabase = lookUpParentDatabaseAndListOfSchemas(pItem, listOfSchemas);
          
    if(createSequenceWizard(pDatabase, listOfSchemas))
      refreshItemsFolder(pItem, i18n("Sequences"));
      
    return;
  }
  
  //******************************************************************************************
  //
  // Table objects
  //
  //******************************************************************************************

  if(dlg.objectType() == "column")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createColumnWizard(pDatabase, pSchema, pTable))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }     
  
  if(dlg.objectType() == "primary key")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(pTable->primaryKeyName().isEmpty() == false)
    {
      KMessageBox::sorry(this, i18n("Primary key already exists !"));
      return;   
    }
           
    if(createConstraintWizard(pDatabase, pSchema, pTable, 0))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  } 
  
  if(dlg.objectType() == "foreign key")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createConstraintWizard(pDatabase, pSchema, pTable, 1))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }
  
  if(dlg.objectType() == "unique")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createConstraintWizard(pDatabase, pSchema, pTable, 2))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }
  
  if(dlg.objectType() == "check")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createConstraintWizard(pDatabase, pSchema, pTable, 3))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }
  
  if(dlg.objectType() == "index")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createIndexWizard(pDatabase, pSchema, pTable))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }
	
	if(dlg.objectType() == "rule")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createRuleWizard(pDatabase, pSchema, pTable))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }
	
	if(dlg.objectType() == "trigger")
  {
    KPGTable *pTable = static_cast <KPGTable *> (pItem);
    KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
    KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
    if(createTriggerWizard(pDatabase, pSchema, pTable))
      {
        setWaitCursor();
        static_cast <KPGTableItemsFolder *> (pTable->getTableConstraintsFolder())->refresh();
        setNormalCursor();
      }
  }       
}

// Called when user launch Find or Find Next menu item 
void KPoGreView::editFind(const QString &strSearchString, bool bInOIDs, bool bInNames)
{
	// Start find from current item or from first item - if no selected
	KPGTreeItem *pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pItem)
		{
		  pItem = static_cast <KPGTreeItem *> (m_pViewTree->firstChild());
			
			if(!pItem)
			{ 
				KMessageBox::sorry(this, i18n("No server is connected"));
				kdError() << "KPoGreView::editFind item is not selected " << endl;
				return;    
			}
		}
	else
		pItem = nextTreeItem(pItem);
	
			
	//--- Search item ---------------------------------
	while(pItem)
	{
		if(bInNames && (pItem->text(0) == strSearchString)) 
		{
			selectItem(pItem);
			return;
		}
		
		if(bInOIDs && (pItem->hasOid()))
		{
			KPGObject *pObject = static_cast <KPGObject *> (pItem);
			QString strOid(QString("%1").arg(pObject->oid()));
			
			if(strOid == strSearchString)
			{
				selectItem(pItem);
				return;
			}
		}
		
		pItem = nextTreeItem(pItem);
	}
	
	KMessageBox::sorry(this, i18n("Searched item not found"));
}

void KPoGreView::editUndo()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editUndo terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->undo();
}

void KPoGreView::editRedo()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editRedo terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->redo();
}

void KPoGreView::editCut()
{
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editCut terminal is not selected " << endl;
		return;
	}
	pQueryResultWindow->editQuery()->cut();
}

void KPoGreView::editCopy()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editCopy terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->copy();
}

void KPoGreView::editPaste()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editPaste terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->paste();
}

// Clear inputarea
void KPoGreView::editClearInputArea()
{
	// get current SQL query result window
	KPGSqlQueryResultWindow* pQueryResultWindow = getActiveSqlQueryResultWindow();
	if(pQueryResultWindow == 0)
	{
		kdError() << "KPoGreView::editClearInputArea terminal is not selected " << endl;
		return;
	}
	
	pQueryResultWindow->editQuery()->clear();
}

// Deselects currently selected item
void KPoGreView::editDeselect()
{
	m_pViewTree->clearSelection();
}


void KPoGreView::viewNodeUp()
{
	// Start find from current item or from first item - if no selected
	KPGTreeItem *pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pItem)
		{
		  kdError() << "KPoGreView::viewNodeUp not current item " << endl;
			return; 
		}
		
	KPGTreeItem *pParentItem = static_cast <KPGTreeItem *> (pItem->parent());
	if(pParentItem)
		selectItem(pParentItem);
}

void KPoGreView::viewNodeBack()
{
	// Start find from current items parent server
	KPGTreeItem *pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pSelectedItem)
		{
		  KMessageBox::sorry(this, i18n("No item selected "));
			kdError() << "KPoGreView::viewNodeBack - item is not selected " << endl;
			return;    
		}
	
	KPGOidLink oidLink = m_stackBackNodes.pop();	
	KPGTreeItem *pItem = findItem(oidLink);
	if(!pItem) return;
	
			
	// store info about previously selected item to stack
	if((pSelectedItem->hasOid()))
	{
		KPGObject *pOldObject = static_cast <KPGObject *> (pSelectedItem);
			
		m_stackForwardNodes.push(KPGOidLink(pOldObject->oid(), pOldObject->path()));
	}
	else
		m_stackForwardNodes.push(KPGOidLink(0, pSelectedItem->path()));
		
	selectItem(pItem);
}
	
void KPoGreView::viewNodeForward()
{
	// Start find from current items parent server
	KPGTreeItem *pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pSelectedItem)
		{
		  KMessageBox::sorry(this, i18n("No item selected "));
			kdError() << "KPoGreView::viewNodeForward - item is not selected " << endl;
			return;    
		}
	
	KPGOidLink oidLink = m_stackForwardNodes.pop();
	KPGTreeItem *pItem = findItem(oidLink);
	if(!pItem) return;
		
	// store info about previously selected item to stack
	if((pSelectedItem->hasOid()))
	{
		KPGObject *pOldObject = static_cast <KPGObject *> (pSelectedItem);
				
		m_stackBackNodes.push(KPGOidLink(pOldObject->oid(), pOldObject->path()));
	}
	else
		m_stackBackNodes.push(KPGOidLink(0, pSelectedItem->path()));
		
	selectItem(pItem);
}

// Refresh actually selected tree item
void KPoGreView::refresh()
{
	KPGTreeItem * pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pItem)
	{ 
		kdError() << "KPoGreView::refresh item is not selected " << endl;
		return;    
    }
	
	setWaitCursor();	
	pItem->smartRefresh();
	
	if(m_pWidgetProperties)
	{
		pItem->displayProperties(m_pWidgetProperties);
	}
	setNormalCursor();
}

// Select item in tree view by given path 
bool KPoGreView::selectItemByPath(const QString &strPath)
{
	// find host name in URL
  	QRegExp patternOid("[[]\\d+[]]$", false); // search OID in path - server/namespace/database/.../object[nnnn]
 
	QString strPathWithoutOid(strPath);
	pqxx::oid _oid = 0;
	              
	int pos = patternOid.search(strPath, 0);
	if(pos > 0)
	{
		int l = patternOid.matchedLength();
		QString strOid(strPath.mid(pos + 1, l - 2));
			_oid = strOid.toInt();
			
			strPathWithoutOid = strPath.left(strPath.length() - l);
	}
		
	KPGTreeItem *pItem = findItem(KPGOidLink(_oid, strPathWithoutOid));
	if(!pItem) return false;
		
	selectItem(pItem);
	return true;
}	

/////////////////////////////////////////////////////////////////////
//                   WIZARD ACTION FUNCTIONS
/////////////////////////////////////////////////////////////////////

// Run Create Database Wizard 
void KPoGreView::createDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeServer)
	{
		kdDebug() << "KPoGreView::createDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGServer *pServer = static_cast <KPGServer *> (pSelectedItem);
	
	if(createDatabaseWizard(pServer))
		pServer->smartRefresh();
}

// Run Drop Database Wizard 
void KPoGreView::dropDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::dropDatabase: item types mismatch" << endl;
		return;
	}
	
	// Disconnect deleted database
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	pDatabase->disconnectFromDB();
	
	// Run Wizard
	QString strSQL("DROP DATABASE ");
	strSQL.append(pSelectedItem->text(0));
	strSQL.append(";");
	
	KPGServer *pServer = static_cast <KPGServer *> (pSelectedItem->parent());
	KPG2StepsWizard wzd(this, i18n("Drop database"), strSQL, false);
  	wzd.setConnection(pServer->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return;
  
	// Refresh parent item
	setWaitCursor();
	pServer->smartRefresh();
	setNormalCursor();
}

// Run ANALYSE Wizard
void KPoGreView::analyseDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::analyseDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::analyseDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	
	KPG2StepsWizard wzd(this, i18n("Analyse database"), "ANALYZE VERBOSE;", true);
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return;
}

// Run REINDEX DATABASE
void KPoGreView::reindexDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::reindexDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::reindexDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	
	KPG2StepsWizard wzd(this, i18n("Reindex database"), "REINDEX DATABASE " + pDatabase->quotedName() + ";", false);
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return;
}

// Run ALTER DATABASE name OWNER TO new_owner Wizard
void KPoGreView::setOwnerDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::setOwnerDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::setOwnerDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
		
	KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "DATABASE", pDatabase->quotedName(), pDatabase->owner());
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return; 
		
	setWaitCursor();
	pDatabase->refreshItem();
	pDatabase->displayProperties(m_pWidgetProperties);
	setNormalCursor();
}

// Run GRANT privileges Wizard for database
void KPoGreView::grantPrivilegesDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::grantPrivilegesDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::grantPrivilegesDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSelectedItem);
	KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
	
	KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeDatabase, true, pServer, "", pDatabase->quotedName() );
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return; 
		
	setWaitCursor();
	pDatabase->refreshItem();
	pDatabase->displayProperties(m_pWidgetProperties);
	setNormalCursor();
}

// Run REVOKE privileges Wizard for database
void KPoGreView::revokePrivilegesDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::revokePrivilegesDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::revokePrivilegesDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSelectedItem);
	KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
	
	KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeDatabase, false, pServer, "", pDatabase->quotedName() );
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return; 
		
	setWaitCursor();
	pDatabase->refreshItem();
	pDatabase->displayProperties(m_pWidgetProperties);
	setNormalCursor();
}  

// Run DUMP DATABASE Wizard
void KPoGreView::dumpDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dumpDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::dumpDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	
	KPGDumpDatabaseWizard wzd(
		this, 
		"KPGDumpDatabaseWizard", 
		KApplication::dcopClient(), 
		pDatabase->text(0),
		pDatabase->connection()->hostname(),
		pDatabase->connection()->port(),
		pDatabase->connection()->username()
	);
			
	if(wzd.exec() != QDialog::Accepted)
		return; 
}

// Run RESTORE DATABASE Wizard
void KPoGreView::restoreDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::restoreDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::restoreDatabase: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	
	KPGRestoreDatabaseWizard wzd(
		this, 
		"KPGDumpDatabaseWizard", 
		KApplication::dcopClient(),
		pDatabase->text(0),
		pDatabase->connection()->hostname(),
		pDatabase->connection()->port(),
		pDatabase->connection()->username()
	);
			
	if(wzd.exec() != QDialog::Accepted)
		return; 
		
	setWaitCursor();
	pDatabase->refresh();
	setNormalCursor();
}
  
// Close connection to database
void KPoGreView::disconnectDatabase()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::disconnectDatabase: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::disconnectDatabase: item types mismatch" << endl;
		return;
	}
	
	// Disconnect deleted database
	KPGDatabase *pDatabase  = static_cast <KPGDatabase *> (pSelectedItem);
	pDatabase->disconnectFromDB();
	
	// Inform active MDI child about change of available servers, databases
	KMdiChildView *activeMdiView = activeWindow();
	if(activeMdiView)
	{
		slotCurrentChildViewChanged(activeMdiView);
	}
}

// Run Create Schema Wizard 
void KPoGreView::createSchema()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createSchema: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDatabase)
	{
		kdDebug() << "KPoGreView::createSchema: item types mismatch" << endl;
		return;
	}
	
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSelectedItem);
		
	if(createSchemaWizard(pDatabase))
		refresh();
}

// Run Drop Schema Wizard 
void KPoGreView::dropSchema()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropSchema: no item selected" << endl;
		return;
	}
		
	KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	dropObjectWizard(pSelectedItem, KPGTreeItem::nodeSchema, "SCHEMA", pDatabase->connection(), "");
}

// Run Create Schema Wizard 
void KPoGreView::modifySchema()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::modifySchema: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSchema)
  {
    kdDebug() << "KPoGreView::modifySchema: item types mismatch" << endl;
    return;
  }

  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", pSchema->quotedName(), "SCHEMA", i18n("schema"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pDatabase->refresh();
  setNormalCursor();
}

// Run ALTER Schema OWNER TO new_owner Wizard 
void KPoGreView::setOwnerSchema()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setOwnerSchema: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSchema)
  {
    kdDebug() << "KPoGreView::setOwnerSchema: item types mismatch" << endl;
    return;
  }

  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "SCHEMA", pSchema->quotedName(), pSchema->owner());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pSchema->refreshItem();
  pSchema->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run GRANT privileges Wizard for schema
void KPoGreView::grantPrivilegesSchema()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesSchema: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSchema)
  {
    kdDebug() << "KPoGreView::grantPrivilegesSchema: item types mismatch" << endl;
    return;
  }

  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeSchema, true, pServer, "", pSchema->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pSchema->refreshItem();
  pSchema->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run REVOKE privileges Wizard for schema
void KPoGreView::revokePrivilegesSchema()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesSchema: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSchema)
  {
    kdDebug() << "KPoGreView::revokePrivilegesSchema: item types mismatch" << endl;
    return;
  }

  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeSchema, false, pServer, "", pSchema->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pSchema->refreshItem();
  pSchema->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run Create Table Wizard 
void KPoGreView::createTable()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createTable: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTables)
	{
		kdDebug() << "KPoGreView::createTable: item types mismatch" << endl;
		return;
	}
	
	KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	QPtrList<QListViewItem> listOfSchemas;
	listOfSchemas.append(pSchema);
	
	if(createTableWizard(pDatabase, listOfSchemas))
		refresh();
}

// Run Drop Table Wizard 
void KPoGreView::dropTable()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropTable: no item selected" << endl;
		return;
	}
	
	KPGTablesFolder *pTablesFolder = static_cast <KPGTablesFolder *> (pSelectedItem->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTablesFolder->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	dropObjectWizard(pSelectedItem, KPGTreeItem::nodeTable, "TABLE", pDatabase->connection(), pSchema->quotedName());
}

// Run ALTER Table RENAME Wizard 
void KPoGreView::renameTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::renameTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::renameTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  // schema qualified name
  QString strName(pSchema->quotedName());
  strName.append(".");
  strName.append(pTable->quotedName());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", strName, "TABLE", i18n("table"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;    
      
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderTables->refresh(pqxxXaction);
  setNormalCursor();
}


// Run ANALYSE Table Wizard
void KPoGreView::analyseTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::analyseTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::analyseTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGAnalyseTableWizard wzd(this, "KPGAnalyseTableWizard", pSchema->quotedName(),  pTable);
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run VACUUM Table Wizard
void KPoGreView::vacuumTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::vacuumTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::vacuumTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGVacuumTableWizard wzd(this, "KPGVacuumTableWizard", pSchema->quotedName(),  pTable);
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run REINDEX Table Wizard
void KPoGreView::reindexTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::reindexTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::reindexTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("REINDEX TABLE ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(";");
  
  KPG2StepsWizard wzd(this, i18n("Reindex table"), strSQL, false);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
}

// Run ALTER Table CLUSTER ON Wizard
void KPoGreView::setClusterOnTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setClusterOnTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::setClusterOnTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  if(pTable->getTableIndexesFolder()->childCount() == 0)
  {
    KMessageBox::sorry(this, i18n("Table has no index"));
    return;
  }
  
  KPGSetClusterTableWizard wzd(this, "KPGSetClusterTableWizard", pSchema->quotedName(),  pTable);
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run ALTER Table SET WITHOUT CLUSTER Wizard
void KPoGreView::setWithoutClusterTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setWithoutClusterTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::setWithoutClusterTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER TABLE ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(" SET WITHOUT CLUSTER;");
  
  KPG2StepsWizard wzd(this, i18n("Set without cluster"), strSQL, false);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
}

// Run CLUSTER Table Wizard
void KPoGreView::clusterTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::clusterTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::clusterTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("CLUSTER ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(";");
  
  KPG2StepsWizard wzd(this, i18n("Cluster table"), strSQL, false);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
}

// Run COPY Table FROM Wizard
void KPoGreView::copyFromTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::copyFromTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::copyFromTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGCopyFromTableWizard wzd(this, "KPGCopyFromTableWizard", pSchema->quotedName(),  pTable);
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run COPY Table TO Wizard
void KPoGreView::copyToTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::copyToTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::copyToTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGCopyToTableWizard wzd(this, "KPGCopyToTableWizard", pSchema->quotedName(),  pTable);
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run ALTER Table OWNER TO new_owner Wizard
void KPoGreView::setOwnerTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setOwnerTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::setOwnerTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  QString strNamespaceTableName(pSchema->quotedName() + "." + pTable->quotedName());
  
  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "TABLE", strNamespaceTableName, pTable->owner());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  setWaitCursor();
  pTable->refreshItem();
  pTable->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run GRANT privileges Wizard for table
void KPoGreView::grantPrivilegesTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::grantPrivilegesTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeTable, true, pServer, pSchema->quotedName(), pTable->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pTable->refreshItem();
  pTable->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run REVOKE privileges Wizard for table
void KPoGreView::revokePrivilegesTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::revokePrivilegesTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeTable, false, pServer, pSchema->quotedName(), pTable->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pTable->refreshItem();
  pTable->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run ALTER Table SET TABLESPACE tablespace_name Wizard
void KPoGreView::setTablespaceTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setTablespaceTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::setTablespaceTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  QString strNamespaceTableName(pSchema->quotedName() + "." + pTable->quotedName());
  
  KPGSetTablespaceWizard wzd(this, "KPGSetTablespaceWizard", pServer->getTablespacesFolder(), "TABLE", strNamespaceTableName, pTable->tablespace());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pTable->refreshItem();
  pTable->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run ALTER Table SET WITHOUT OIDS Wizard
void KPoGreView::setWithoutOIDsTable()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setWithoutOIDsTable: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::setWithoutOIDsTable: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER TABLE ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(" SET WITHOUT OIDS;");
  
  KPG2StepsWizard wzd(this, i18n("Set table without OIDs"), strSQL, false);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;  
}

// Run editable datatable for edit table content
void KPoGreView::editTableContent()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::editTableContent: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTable)
  {
    kdDebug() << "KPoGreView::editTableContent: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem);
  
  if(pTable->primaryKeyName().length() == 0)
  {
    KMessageBox::sorry(this, i18n("Can't edit table without primary key"));
    return;
  }
  
  KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KMessageBox::sorry(this, i18n("Not implemented yet ! Most of functionality is incomplete..."));
    
  KPGDataTableChildView *pChildView = createDataTableChildView(pDatabase->connection(), pSchema->quotedName(), pTable);
  
  pChildView->getDataTable()->runQuery(pDatabase);
  // TODO

}

// Run Create View Wizard 
void KPoGreView::createView()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createView: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderViews)
	{
		kdDebug() << "KPoGreView::createView: item types mismatch" << endl;
		return;
	}
	
	KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	QPtrList<QListViewItem> listOfSchemas;
	listOfSchemas.append(pSchema);
	
	if(createViewWizard(pDatabase, listOfSchemas))
		refresh();
}

// Run Drop View Wizard 
void KPoGreView::dropView()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropView: no item selected" << endl;
		return;
	}
		
	KPGViewsFolder *pViewsFolder = static_cast <KPGViewsFolder *> (pSelectedItem->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pViewsFolder->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	dropObjectWizard(pSelectedItem, KPGTreeItem::nodeView, "VIEW", pDatabase->connection(), pSchema->quotedName());
}

// Run Create View Wizard 
void KPoGreView::modifyView()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::modifyView: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeView)
	{
		kdDebug() << "KPoGreView::modifyView: item types mismatch" << endl;
		return;
	}

	KPGView *pView = static_cast <KPGView *> (pSelectedItem);
	KPGViewsFolder *pViewsFolder = static_cast <KPGViewsFolder *> (pSelectedItem->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pViewsFolder->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	KPGModifyViewWizard wzd(this, "KPGModifyViewWizard", pDatabase, pSchema->quotedName(), pView);	
	wzd.setConnection(pDatabase->connection());
				
	if(wzd.exec() != QDialog::Accepted)
     return;
  		
  setWaitCursor();
  pView->refreshItem();
  pView->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run GRANT privileges Wizard for view
void KPoGreView::grantPrivilegesView()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesView: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeView)
  {
    kdDebug() << "KPoGreView::grantPrivilegesView: item types mismatch" << endl;
    return;
  }

  KPGView *pView = static_cast <KPGView *> (pSelectedItem);
  KPGViewsFolder *pViewsFolder = static_cast <KPGViewsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pViewsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeView, true, pServer, pSchema->quotedName(), pView->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pView->refreshItem();
  pView->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run REVOKE privileges Wizard for view
void KPoGreView::revokePrivilegesView()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revoketPrivilegesView: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeView)
  {
    kdDebug() << "KPoGreView::revoketPrivilegesView: item types mismatch" << endl;
    return;
  }

  KPGView *pView = static_cast <KPGView *> (pSelectedItem);
  KPGViewsFolder *pViewsFolder = static_cast <KPGViewsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pViewsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
    
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeView, false, pServer, pSchema->quotedName(), pView->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pView->refreshItem();
  pView->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run Create Tablespace Wizard 
void KPoGreView::createTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createTablespace: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTablespaces)
  {
    kdDebug() << "KPoGreView::createTablespace: item types mismatch" << endl;
    return;
  }
  
  KPGServer *pServer = static_cast <KPGServer *> (pSelectedItem->parent());
  
  createTablespaceWizard(pServer);
  
  refresh();
  pSelectedItem->displayProperties(m_pWidgetProperties);
}
  
// Run Drop Tablespace Wizard 
void KPoGreView::dropTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropTablespace: no item selected" << endl;
    return;
  }
    
  KPGTablespacesFolder *pTablespacesFolder = static_cast <KPGTablespacesFolder *> (pSelectedItem->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pTablespacesFolder->parent());
  
  dropObjectWizard(pSelectedItem, KPGTreeItem::nodeTablespace, "TABLESPACE", pServer->connection(), "", false);
}
    
// ALTER TABLESPACE name RENAME TO newname Wizard 
void KPoGreView::renameTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::renameTablespace: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTablespace)
  {
    kdDebug() << "KPoGreView::renameTablespace: item types mismatch" << endl;
    return;
  }
  
  KPGTablespace *pTablespace = static_cast <KPGTablespace *> (pSelectedItem);
  KPGTablespacesFolder *pTablespacesFolder = static_cast <KPGTablespacesFolder *> (pSelectedItem->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pTablespacesFolder->parent());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", pTablespace->quotedName(), "TABLESPACE", i18n("tablespace"));    
  wzd.setConnection(pServer->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pServer->connection(), "refresh folder");
  pTablespacesFolder->refresh(pqxxXaction);
  setNormalCursor();
  
  pTablespace = static_cast <KPGTablespace *> (pTablespacesFolder->getChildByName(wzd.newObjectName()));
  if(pTablespace)
  {
     m_pViewTree->ensureItemVisible(pTablespace);
     m_pViewTree->setSelected(pTablespace, true);
  }
}

// Run ALTER TABLESPACE name OWNER TO newowner Wizard 
void KPoGreView::setOwnerTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setOwnerTablespace: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTablespace)
  {
    kdDebug() << "KPoGreView::setOwnerTablespace: item types mismatch" << endl;
    return;
  }
  
  KPGTablespace *pTablespace = static_cast <KPGTablespace *> (pSelectedItem);
  KPGTablespacesFolder *pTablespacesFolder = static_cast <KPGTablespacesFolder *> (pSelectedItem->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pTablespacesFolder->parent());

  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "TABLESPACE", pTablespace->text(0), pTablespace->owner());
  wzd.setConnection(pServer->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  // save tablespace name for look-up after refresh tablespaces folder 
  QString strTablespaceName(pTablespace->text(0));  
             
  setWaitCursor();
  pqxx::work pqxxXaction(* pServer->connection(), "refresh tablespace");
  pTablespacesFolder->refresh(pqxxXaction);
  setNormalCursor();
  
  pTablespace = static_cast <KPGTablespace *> (pTablespacesFolder->getChildByName(strTablespaceName));
  if(pTablespace)
  {
     m_pViewTree->ensureItemVisible(pTablespace);
     m_pViewTree->setSelected(pTablespace, true);
  }
}

// Run GRANT privileges Wizard for tablespace
void KPoGreView::grantPrivilegesTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesTablespace: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTablespace)
  {
    kdDebug() << "KPoGreView::grantPrivilegesTablespace: item types mismatch" << endl;
    return;
  }
  
  KPGTablespace *pTablespace = static_cast <KPGTablespace *> (pSelectedItem);
  KPGTablespacesFolder *pTablespacesFolder = static_cast <KPGTablespacesFolder *> (pSelectedItem->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pTablespacesFolder->parent());

  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeTablespace, true, pServer, "", pTablespace->quotedName());
  wzd.setConnection(pServer->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pTablespace->refresh();
  pTablespace->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
  
// Run REVOKE privileges Wizard for tablespace
void KPoGreView::revokePrivilegesTablespace()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesTablespace: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTablespace)
  {
    kdDebug() << "KPoGreView::revokePrivilegesTablespace: item types mismatch" << endl;
    return;
  }
  
  KPGTablespace *pTablespace = static_cast <KPGTablespace *> (pSelectedItem);
  KPGTablespacesFolder *pTablespacesFolder = static_cast <KPGTablespacesFolder *> (pSelectedItem->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pTablespacesFolder->parent());

    KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeTablespace, false, pServer, "", pTablespace->quotedName());
  wzd.setConnection(pServer->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pServer->connection(), "refresh tablespace");
  pTablespacesFolder->refresh(pqxxXaction);
  pTablespace->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
  
// Run Create User Wizard 
void KPoGreView::createUser()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createUser: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderUsers)
	{
		kdDebug() << "KPoGreView::createUser: item types mismatch" << endl;
		return;
	}
	
	KPGServer *pServer = static_cast <KPGServer *> (pSelectedItem->parent());
	
	createUserWizard(pServer);
	
	refresh();
	pSelectedItem->displayProperties(m_pWidgetProperties);
}
	
// Run Drop User Wizard 
void KPoGreView::dropUser()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropUser: no item selected" << endl;
		return;
	}
		
	KPGUsersFolder *pUsersFolder = static_cast <KPGUsersFolder *> (pSelectedItem->parent());
	KPGServer *pServer = static_cast <KPGServer *> (pUsersFolder->parent());
	
	dropObjectWizard(pSelectedItem, KPGTreeItem::nodeUser, "USER", pServer->connection(), "");
}
		
// Run Alter User Wizard 
void KPoGreView::modifyUser()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::modifyUser: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeUser)
	{
		kdDebug() << "KPoGreView::modifyUser: item types mismatch" << endl;
		return;
	}
	
	KPGUser *pUser = static_cast <KPGUser *> (pSelectedItem);
	KPGUsersFolder *pUsersFolder = static_cast <KPGUsersFolder *> (pSelectedItem->parent());
	KPGServer *pServer = static_cast <KPGServer *> (pUsersFolder->parent());
	
	KPGModifyUserWizard wzd(this, "KPGModifyUserWizard", pUser);
  		
	wzd.setConnection(pServer->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return;
  		
	setWaitCursor();
	pqxx::work pqxxXaction(* pServer->connection(), "refresh folder");
	pUsersFolder->refresh(pqxxXaction);
	setNormalCursor();
}
	
// Run Create Group Wizard 
void KPoGreView::createGroup()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createGroup: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderGroups)
	{
		kdDebug() << "KPoGreView::createGroup: item types mismatch" << endl;
		return;
	}
	
	KPGServer *pServer = static_cast <KPGServer *> (pSelectedItem->parent());
	
	createGroupWizard(pServer);
	
	refresh();
	pSelectedItem->displayProperties(m_pWidgetProperties);
}
	
// Run Drop Group Wizard 
void KPoGreView::dropGroup()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropGroup: no item selected" << endl;
		return;
	}
		
	KPGGroupsFolder *pGroupsFolder = static_cast <KPGGroupsFolder *> (pSelectedItem->parent());
	KPGServer *pServer = static_cast <KPGServer *> (pGroupsFolder->parent());
	
	dropObjectWizard(pSelectedItem, KPGTreeItem::nodeGroup, "GROUP", pServer->connection(), "");
}
		
// Run Alter Group Wizard 
void KPoGreView::modifyGroup()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::modifyGroup: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeGroup)
	{
		kdDebug() << "KPoGreView::modifyGroup: item types mismatch" << endl;
		return;
	}
	
	KPGGroup *pGroup = static_cast <KPGGroup *> (pSelectedItem);
	KPGGroupsFolder *pGroupsFolder = static_cast <KPGGroupsFolder *> (pSelectedItem->parent());
	KPGServer *pServer = static_cast <KPGServer *> (pGroupsFolder->parent());
	
	KPGModifyGroupWizard wzd(this, "KPGModifyGroupWizard", pGroup, pServer->getUsersFolder());
  		
	wzd.setConnection(pServer->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return;
  		
	setWaitCursor();
	pqxx::work pqxxXaction(* pServer->connection(), "refresh folder");
	pGroupsFolder->refresh(pqxxXaction);
	setNormalCursor();
}

// Run Create Language Wizard 
void KPoGreView::createLanguage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createLanguage: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderLanguages)
  {
    kdDebug() << "KPoGreView::createLanguage: item types mismatch" << endl;
    return;
  }
  
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSelectedItem->parent());
    
  if(createLanguageWizard(pDatabase))
    refresh();
}
  
// Run Drop Language Wizard 
void KPoGreView::dropLanguage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropLanguage: no item selected" << endl;
    return;
  }
    
  KPGLanguagesFolder *pLanguagesFolder = static_cast <KPGLanguagesFolder *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pLanguagesFolder->parent());
  
  dropObjectWizard(pSelectedItem, KPGTreeItem::nodeLanguage, "LANGUAGE", pDatabase->connection(), "");
}
  
// Run Alter Language Wizard 
void KPoGreView::modifyLanguage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::modifyLanguage: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeLanguage)
  {
    kdDebug() << "KPoGreView::modifyLanguage: item types mismatch" << endl;
    return;
  }

  KPGLanguage *pLanguage = static_cast <KPGLanguage *> (pSelectedItem);
  KPGLanguagesFolder *pLanguagesFolder = static_cast <KPGLanguagesFolder *> (pLanguage->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pLanguagesFolder->parent());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", pLanguage->quotedName(), "LANGUAGE", i18n("language"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pLanguagesFolder->refresh(pqxxXaction);
  setNormalCursor();
}
    
// Run GRANT privileges Wizard for language
void KPoGreView::grantPrivilegesLanguage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesLanguage: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeLanguage)
  {
    kdDebug() << "KPoGreView::grantPrivilegesLanguage: item types mismatch" << endl;
    return;
  }

  KPGLanguage *pLanguage = static_cast <KPGLanguage *> (pSelectedItem);
  KPGLanguagesFolder *pLanguagesFolder = static_cast <KPGLanguagesFolder *> (pLanguage->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pLanguagesFolder->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeLanguage, true, pServer, "", pLanguage->quotedName());
  wzd.setConnection(pDatabase->connection());
  
  kdDebug() << "KPoGreView::grantPrivilegesLanguage" << endl;
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pLanguage->refreshItem();
  pLanguage->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
 
// Run REVOKE privileges Wizard for language
void KPoGreView::revokePrivilegesLanguage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesLanguage: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeLanguage)
  {
    kdDebug() << "KPoGreView::revokePrivilegesLanguage: item types mismatch" << endl;
    return;
  }

  KPGLanguage *pLanguage = static_cast <KPGLanguage *> (pSelectedItem);
  KPGLanguagesFolder *pLanguagesFolder = static_cast <KPGLanguagesFolder *> (pLanguage->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pLanguagesFolder->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeLanguage, false, pServer, "", pLanguage->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pLanguage->refreshItem();
  pLanguage->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}  
  
// Run Create Domain Wizard 
void KPoGreView::createDomain()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createDomain: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderDomains)
  {
    kdDebug() << "KPoGreView::createDomain: item types mismatch" << endl;
    return;
  }
  
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QPtrList<QListViewItem> listOfSchemas;
  listOfSchemas.append(pSchema);
  
  if(createDomainWizard(pDatabase, listOfSchemas))
    refresh();
}

// Run DROP DOMAIN Wizard 
void KPoGreView::dropDomain()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropDomain: no item selected" << endl;
    return;
  }
    
  KPGDomainsFolder *pDomainsFolder = static_cast <KPGDomainsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pDomainsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  dropObjectWizard(pSelectedItem, KPGTreeItem::nodeDomain, "DOMAIN", pDatabase->connection(), pSchema->quotedName());
}

// Run ALTER DOMAIN SET | DROP NOT NULL Wizard 
void KPoGreView::setDomainNull()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setDomainNull: no item selected" << endl;
    return;
  }

  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDomain)
  {
    kdDebug() << "KPoGreView::setDomainNull: item types mismatch" << endl;
    return;
  }

  KPGDomain *pDomain = static_cast <KPGDomain *> (pSelectedItem);
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER DOMAIN ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pDomain->quotedName());
    
  if(!pDomain->isNotNull())
    strSQL.append(" SET NOT NULL;");
  else
    strSQL.append(" DROP NOT NULL;");
    
  KPG2StepsWizard wzd(this, i18n("Set domain NULL"), strSQL, true);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  // save domain name for look-up after refresh columns folder 
  QString strDomainName(pDomain->text(0));   
  
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderDomains->refresh(pqxxXaction);
  setNormalCursor();
  
  pDomain = static_cast <KPGDomain *> (pFolderDomains->getChildByName(strDomainName));
  if(pDomain)
  {
     m_pViewTree->ensureItemVisible(pDomain);
     m_pViewTree->setSelected(pDomain, true);
  }
}

// Run ALTER DOMAIN SET DEFAULT expression Wizard 
void KPoGreView::setDomainDefault()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setDomainDefault: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDomain)
  {
    kdDebug() << "KPoGreView::setDomainNull: item types mismatch" << endl;
    return;
  }

  KPGDomain *pDomain = static_cast <KPGDomain *> (pSelectedItem);
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGSetDomainDefaultWizard wzd(this, "KPGSetDomainDefaultWizard", pSchema->quotedName(), pDomain->quotedName());
  wzd.setConnection(pDatabase->connection());
  wzd.setDefaultExpression(pDomain->defaultValue());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
       
  // save domain name for look-up after refresh columns folder 
  QString strDomainName(pDomain->text(0));   
  
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderDomains->refresh(pqxxXaction);
  setNormalCursor();
  
  pDomain = static_cast <KPGDomain *> (pFolderDomains->getChildByName(strDomainName));
  if(pDomain)
  {
     m_pViewTree->ensureItemVisible(pDomain);
     m_pViewTree->setSelected(pDomain, true);
  }
}

// Run ALTER DOMAIN DROP DEFAULT Wizard 
void KPoGreView::dropDomainDefault()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropDomainDefault: no item selected" << endl;
    return;
  }
    
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDomain)
  {
    kdDebug() << "KPoGreView::setDomainNull: item types mismatch" << endl;
    return;
  }

  KPGDomain *pDomain = static_cast <KPGDomain *> (pSelectedItem);
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());  
  
  QString strSQL("ALTER DOMAIN ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pDomain->quotedName());
  strSQL.append(" DROP DEFAULT;");
    
  KPG2StepsWizard wzd(this, i18n("Drop domain default"), strSQL, true);
      
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
  
  // save domain name for look-up after refresh columns folder 
  QString strDomainName(pDomain->text(0));   
  
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderDomains->refresh(pqxxXaction);
  setNormalCursor();
  
  pDomain = static_cast <KPGDomain *> (pFolderDomains->getChildByName(strDomainName));
  if(pDomain)
  {
     m_pViewTree->ensureItemVisible(pDomain);
     m_pViewTree->setSelected(pDomain, true);
  }
}

// Run ALTER DOMAIN name OWNER TO new_owner  Wizard 
void KPoGreView::setOwnerDomain()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropDomainDefault: no item selected" << endl;
    return;
  }
    
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDomain)
  {
    kdDebug() << "KPoGreView::setDomainNull: item types mismatch" << endl;
    return;
  }

  KPGDomain *pDomain = static_cast <KPGDomain *> (pSelectedItem);
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());  
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent());
  
  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "DOMAIN", pDomain->quotedName(), pDomain->owner());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  // save domain name for look-up after refresh domain folder 
  QString strDomainName(pDomain->text(0)); 
             
  setWaitCursor();
  pqxx::work pqxxXaction(* pServer->connection(), "refresh folder");
  pFolderDomains->refresh(pqxxXaction);
  setNormalCursor();
  
  pDomain = static_cast <KPGDomain *> (pFolderDomains->getChildByName(strDomainName));
  if(pDomain)
  {
     m_pViewTree->ensureItemVisible(pDomain);
     m_pViewTree->setSelected(pDomain, true);
  }
}

// Run ALTER DOMAIN name ADD domain_constraint Wizard 
void KPoGreView::createDomainConstraint()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createDomainConstraint: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderDomainConstraints)
  {
    kdDebug() << "KPoGreView::createDomainConstraint: item types mismatch" << endl;
    return;
  }
  
  KPGDomain *pDomain = static_cast <KPGDomain *> (pSelectedItem->parent());
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGCreateDomainConstraintWizard wzd(this, "KPGCreateDomainConstraintWizard", pSchema->quotedName(), pDomain->quotedName());
  wzd.setConnection(pDatabase->connection());
  
  if(wzd.exec() != QDialog::Accepted)
     return; 

  refresh();   
}

// Run ALTER DOMAIN name DROP CONSTRAINT constraint_name Wizard 
void KPoGreView::dropDomainConstraint()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropDomainConstraint: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeDomainConstr)
  {
    kdDebug() << "KPoGreView::dropDomainConstraint: item types mismatch" << endl;
    return;
  }
  
  KPGDomainConstraint *pDomainConstraint = static_cast <KPGDomainConstraint *> (pSelectedItem);
  KPGDomainConstraintsFolder *pDomainConstraintsFolder = static_cast <KPGDomainConstraintsFolder *> (pDomainConstraint->parent());
  KPGDomain *pDomain = static_cast <KPGDomain *> (pDomainConstraintsFolder->parent());
  KPGDomainsFolder *pFolderDomains = static_cast <KPGDomainsFolder *> (pDomain->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderDomains->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER DOMAIN ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pDomain->quotedName());
  strSQL.append(" DROP CONSTRAINT ");
  strSQL.append(pDomainConstraint->quotedName());
  strSQL.append(";");
  
  KPG2StepsWizard wzd(this, i18n("Drop domain constraint"), strSQL, true);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
   return;
  
  // Refresh parent item
  setWaitCursor();
  pDomainConstraintsFolder->refresh();
  setNormalCursor();
}

// Run Create Function Wizard 
void KPoGreView::createFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createFunction: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderFunctions)
  {
    kdDebug() << "KPoGreView::createFunction: item types mismatch" << endl;
    return;
  }
  
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QPtrList<QListViewItem> listOfSchemas;
  listOfSchemas.append(pSchema);
  
  if(createFunctionWizard(pDatabase, listOfSchemas))
    refresh();
}
  
// Run Drop Function Wizard 
void KPoGreView::dropFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropFunction: no item selected" << endl;
    return;
  }
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFunction)
  {
    kdDebug() << "KPoGreView::dropFunction: item types mismatch" << endl;
    return;
  }
  
  KPGFunction *pFunction = static_cast <KPGFunction *> (pSelectedItem);  
  KPGFunctionsFolder *pFunctionsFolder = static_cast <KPGFunctionsFolder *> (pFunction->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFunctionsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGDropObjectWizard wzd(
		this, 
		"KPGDropObjectWizard", 
		"FUNCTION",
		pSchema->quotedName(),
		pFunction->fullName()
		);
  
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return;
	
	// Refresh parent item
	setWaitCursor();
	pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
	pFunctionsFolder->refresh(pqxxXaction);
	setNormalCursor();	 	 
}
    
// Run Alter Function Wizard 
void KPoGreView::renameFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::renameFunction: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFunction)
  {
    kdDebug() << "KPoGreView::renameFunction: item types mismatch" << endl;
    return;
  }

  KPGFunction *pFunction = static_cast <KPGFunction *> (pSelectedItem);
  KPGFunctionsFolder *pFolderFunctions = static_cast <KPGFunctionsFolder *> (pFunction->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderFunctions->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  // append arguments to function name
  QString strName(pSchema->quotedName());
  strName.append(".");
  strName.append(pFunction->text(0));
  strName.append(" (");
  strName.append(pFunction->argTypes()); 
  strName.append(")"); 
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", strName, "FUNCTION", i18n("function"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderFunctions->refresh(pqxxXaction);
  setNormalCursor();
}

// Run Alter Function Wizard 
void KPoGreView::modifyFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::modifyFunction: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFunction)
  {
    kdDebug() << "KPoGreView::modifyFunction: item types mismatch" << endl;
    return;
  }

  KPGFunction *pFunction = static_cast <KPGFunction *> (pSelectedItem);
  KPGFunctionsFolder *pFunctionsFolder = static_cast <KPGFunctionsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFunctionsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGModifyFunctionWizard wzd(this, "KPGModifyFunctionWizard", pSchema->quotedName(), pFunction);   
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFunctionsFolder->refresh(pqxxXaction);
  setNormalCursor();
}
    
// Run GRANT privileges Wizard for function
void KPoGreView::grantPrivilegesFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesFunction: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFunction)
  {
    kdDebug() << "KPoGreView::grantPrivilegesFunction: item types mismatch" << endl;
    return;
  }

  KPGFunction *pFunction = static_cast <KPGFunction *> (pSelectedItem);
  KPGFunctionsFolder *pFunctionsFolder = static_cast <KPGFunctionsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFunctionsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeFunction, true, pServer, pSchema->quotedName(), pFunction->fullName() );
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pFunction->refreshItem();
  pFunction->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
  
// Run REVOKE privileges Wizard for function
void KPoGreView::revokePrivilegesFunction()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesFunction: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFunction)
  {
    kdDebug() << "KPoGreView::revokePrivilegesFunction: item types mismatch" << endl;
    return;
  }

  KPGFunction *pFunction = static_cast <KPGFunction *> (pSelectedItem);
  KPGFunctionsFolder *pFunctionsFolder = static_cast <KPGFunctionsFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFunctionsFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeFunction, false, pServer, pSchema->quotedName(), pFunction->fullName() );
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pFunction->refreshItem();
  pFunction->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
  
// Run Create Sequence Wizard 
void KPoGreView::createSequence()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createSequence: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderSequences)
  {
    kdDebug() << "KPoGreView::createSequence: item types mismatch" << endl;
    return;
  }
  
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QPtrList<QListViewItem> listOfSchemas;
  listOfSchemas.append(pSchema);
  
  if(createSequenceWizard(pDatabase, listOfSchemas))
    refresh();
}
  
// Run Drop Sequence Wizard 
void KPoGreView::dropSequence()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropSequence: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSequence)
  {
    kdDebug() << "KPoGreView::dropSequence: item types mismatch" << endl;
    return;
  }
    
  KPGSequencesFolder *pSequencesFolder = static_cast <KPGSequencesFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSequencesFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  dropObjectWizard(pSelectedItem, KPGTreeItem::nodeSequence, "SEQUENCE", pDatabase->connection(), pSchema->quotedName());
}

// Run ALTER Sequence Wizard 
void KPoGreView::modifySequence()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::modifySequence: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSequence)
  {
    kdDebug() << "KPoGreView::createSequence: item types mismatch" << endl;
    return;
  }
  
  KPGSequence *pSequence = static_cast <KPGSequence *> (pSelectedItem);
  KPGSequencesFolder *pSequencesFolder = static_cast <KPGSequencesFolder *> (pSequence->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSequencesFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
 
  KPGModifySequenceWizard wzd(this, "KPGModifySequenceWizard", pSchema->quotedName(), pSequence);
  wzd.setConnection(pDatabase->connection());
        
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  setWaitCursor();
  pSequence->refreshItem();
  pSequence->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}

// Run GRANT privileges Wizard for sequence
void KPoGreView::grantPrivilegesSequence()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::grantPrivilegesSequence: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSequence)
  {
    kdDebug() << "KPoGreView::grantPrivilegesSequence: item types mismatch" << endl;
    return;
  }
  
  KPGSequence *pSequence = static_cast <KPGSequence *> (pSelectedItem);
  KPGSequencesFolder *pSequencesFolder = static_cast <KPGSequencesFolder *> (pSequence->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSequencesFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeSequence, true, pServer, pSchema->quotedName(), pSequence->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pSequence->refreshItem();
  pSequence->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}  
  
// Run REVOKE privileges Wizard for sequence
void KPoGreView::revokePrivilegesSequence()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::revokePrivilegesSequence: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeSequence)
  {
    kdDebug() << "KPoGreView::revokePrivilegesSequence: item types mismatch" << endl;
    return;
  }
  
  KPGSequence *pSequence = static_cast <KPGSequence *> (pSelectedItem);
  KPGSequencesFolder *pSequencesFolder = static_cast <KPGSequencesFolder *> (pSequence->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSequencesFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  KPGPrivilegesWizard wzd(this, "KPGSetTablespaceWizard", KPGPrivilegesWizard::typeSequence, false, pServer, pSchema->quotedName(), pSequence->quotedName());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
     
  setWaitCursor();
  pSequence->refreshItem();
  pSequence->displayProperties(m_pWidgetProperties);
  setNormalCursor();
}
  
// Run ALTER table ADD Column Wizard
void KPoGreView::createColumn()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createColumn: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTableColumns)
  {
    kdDebug() << "KPoGreView::createColumn: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  if(createColumnWizard(pDatabase, pSchema, pTable))
  {
    refresh();
    pSelectedItem->displayProperties(m_pWidgetProperties);
  }
}
    
// Run ALTER table DROP Column Wizard
void KPoGreView::dropColumn()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropColumn: no item selected" << endl;
    return;
  }
    
  KPGTableColumnsFolder *pColumnsFolder = static_cast <KPGTableColumnsFolder *> (pSelectedItem->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pColumnsFolder->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  dropTableObjectWizard(pSelectedItem, "COLUMN", pDatabase->connection(), pSchema->quotedName(), pTable->quotedName()); 
}
       
// Run ALTER table Rename Column Wizard
void KPoGreView::renameColumn()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::renameColumn: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::renameColumn: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strNamespaceTableName(pSchema->quotedName() + "." + pTable->quotedName());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", strNamespaceTableName, pColumn->text(0), "COLUMN", i18n("column"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
      
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(wzd.newObjectName()));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}
       
// Run ALTER table SET/DROP Column NULL Wizard
void KPoGreView::setColumnNull()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setColumnNull: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::setColumnNull: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER TABLE ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(" ALTER COLUMN ");
  strSQL.append(pColumn->quotedName());
  
  if(!pColumn->isNotNull())
    strSQL.append(" SET NOT NULL;");
  else
    strSQL.append(" DROP NOT NULL;");
    
  KPG2StepsWizard wzd(this, i18n("Set column NULL"), strSQL, true);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0));   
  
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}
       
// Run ALTER table ALTER Column SET DEFAULT Wizard
void KPoGreView::setColumnDefault()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setColumnDefault: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::setColumnDefault: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());

  KPGModifyTableColumnWizard wzd(this, "KPGModifyTableColumnWizard", pSchema, pTable, pColumn, KPGModifyTableColumnWizard::modeDefault);
  wzd.setConnection(pDatabase->connection());
  wzd.setDefaultExpression(pColumn->defaultValue());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
       
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0));  
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}

// Run ALTER table ALTER Column DROP DEFAULT Wizard
void KPoGreView::dropColumnDefault()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropColumnDefault: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::dropColumnDefault: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QString strSQL("ALTER TABLE ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pTable->quotedName());
  strSQL.append(" ALTER COLUMN ");
  strSQL.append(pColumn->quotedName());
  strSQL.append(" DROP DEFAULT;");
    
  KPG2StepsWizard wzd(this, i18n("Drop column default"), strSQL, true);
      
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
  
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0)); 
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
      
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}
       
// Run ALTER table ALTER Column TYPE Wizard
void KPoGreView::changeColumnType()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::changeColumnType: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::changeColumnType: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());

  KPGModifyTableColumnWizard wzd(this, "KPGModifyTableColumnWizard", pSchema, pTable, pColumn, KPGModifyTableColumnWizard::modeType);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
       
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0));  
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}
       
// Run ALTER table ALTER Column SET STORAGE { PLAIN | EXTERNAL | EXTENDED | MAIN } Wizard
void KPoGreView::setColumnStorage()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setColumnStorage: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::setColumnStorage: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());

  KPGModifyTableColumnWizard wzd(this, "KPGModifyTableColumnWizard", pSchema, pTable, pColumn, KPGModifyTableColumnWizard::modeStorage);
  wzd.setConnection(pDatabase->connection());
  wzd.setStorage(pColumn->storage());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
       
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0));  
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}
       
// Run ALTER table ALTER Column SET STATISTICS Wizard
void KPoGreView::setColumnStatistisc()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setColumnStatistisc: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTableColumn)
  {
    kdDebug() << "KPoGreView::setColumnStatistisc: item types mismatch" << endl;
    return;
  }

  KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
  KPGTableColumnsFolder *pFolderColumns = static_cast <KPGTableColumnsFolder *> (pColumn->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pFolderColumns->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());

  KPGModifyTableColumnWizard wzd(this, "KPGModifyTableColumnWizard", pSchema, pTable, pColumn, KPGModifyTableColumnWizard::modeStats);
  wzd.setConnection(pDatabase->connection());
  wzd.setStatTarget(pColumn->statTarget());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
       
  // save column name for look-up after refresh columns folder 
  QString strColumnName(pColumn->text(0));  
     
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderColumns->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pColumn = static_cast <KPGTableColumn *> (pFolderColumns->getChildByName(strColumnName));
  if(pColumn)
  {
     m_pViewTree->ensureItemVisible(pColumn);
     m_pViewTree->setSelected(pColumn, true);
  }
}

// Run Create Constraint Wizard 
void KPoGreView::createConstraint()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createConstraint: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTableConstraints)
  {
    kdDebug() << "KPoGreView::createConstraint: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  if(createConstraintWizard(pDatabase, pSchema, pTable))
  {
    refresh();
    pSelectedItem->displayProperties(m_pWidgetProperties);
  }
}

// Run Drop Constraint Wizard 
void KPoGreView::dropConstraint()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropConstraint: no item selected" << endl;
    return;
  }
    
  KPGTableConstraintsFolder *pConstraintsFolder = static_cast <KPGTableConstraintsFolder *> (pSelectedItem->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pConstraintsFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  dropTableObjectWizard(pSelectedItem, "CONSTRAINT", pDatabase->connection(), pSchema->quotedName(), pTable->quotedName());  
}

// Run Create Index Wizard 
void KPoGreView::createIndex()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createIndex: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTableIndexes)
  {
    kdDebug() << "KPoGreView::createIndex: item types mismatch" << endl;
    return;
  }
  
  KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  if(createIndexWizard(pDatabase, pSchema, pTable))
  {
    refresh();
    pSelectedItem->displayProperties(m_pWidgetProperties);
  }
}

// Run Drop Index Wizard 
void KPoGreView::dropIndex()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropIndex: no item selected" << endl;
		return;
	}
	
	if(((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeIndex) &&
     ((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodePrimaryKey)
    )
	{
		kdDebug() << "KPoGreView::dropIndex: item types mismatch" << endl;
		return;
	}
    
  	KPGTableIndexesFolder *pIndexesFolder = static_cast <KPGTableIndexesFolder *> (pSelectedItem->parent());
  	KPGTable *pTable = static_cast <KPGTable *> (pIndexesFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  	  
  	KPGDropObjectWizard wzd(
		this, 
		"KPGDropObjectWizard", 
		"INDEX",
		pSchema->quotedName(),
		pSelectedItem->quotedName()
		);
  
		wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     	return;
	
	// Refresh parent item
	setWaitCursor();
	pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
	pIndexesFolder->refresh(pqxxXaction, pTable->oid());
	setNormalCursor();	 
}

// Run ALTER Index RENAME Wizard 
void KPoGreView::renameIndex()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::renameIndex: no item selected" << endl;
    return;
  }
  
  if(((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeIndex) &&
     ((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodePrimaryKey)
    )
  {
    kdDebug() << "KPoGreView::renameIndex: item types mismatch" << endl;
    return;
  }
  
  KPGTableIndexesFolder *pIndexesFolder = static_cast <KPGTableIndexesFolder *> (pSelectedItem->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pIndexesFolder->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
  // schema qualified name
  QString strName(pSchema->quotedName());
  strName.append(".");
  strName.append(pSelectedItem->quotedName());
  
  KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", strName, "INDEX", i18n("index"));
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;    
  
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pIndexesFolder->refresh(pqxxXaction, pTable->oid());
  setNormalCursor();
  
  pSelectedItem = pIndexesFolder->getChildByName(wzd.newObjectName());
  if(pSelectedItem)
  {
     m_pViewTree->ensureItemVisible(pSelectedItem);
     m_pViewTree->setSelected(pSelectedItem, true);
  }   
}

// Run REINDX INDEX Wizard 
void KPoGreView::reindexIndex()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::reindexIndex: no item selected" << endl;
    return;
  }
  
  if(((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeIndex) &&
     ((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodePrimaryKey)
    )
  {
    kdDebug() << "KPoGreView::reindexIndex: item types mismatch" << endl;
    return;
  }
  
  KPGTableIndexesFolder *pIndexesFolder = static_cast <KPGTableIndexesFolder *> (pSelectedItem->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pIndexesFolder->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
    
  QString strSQL("REINDEX INDEX ");
  strSQL.append(pSchema->quotedName());
  strSQL.append(".");
  strSQL.append(pSelectedItem->quotedName());
  strSQL.append(";");
  
  KPG2StepsWizard wzd(this, i18n("Reindex index"), strSQL, false);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
}

// Run ALTER Index OWNER TO new_owner Wizard
void KPoGreView::setOwnerIndex()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setOwnerIndex: no item selected" << endl;
    return;
  }
  
  if(((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeIndex) &&
     ((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodePrimaryKey)
    )
  {
    kdDebug() << "KPoGreView::setOwnerIndex: item types mismatch" << endl;
    return;
  }
  
  KPGTableIndex *pIndex = static_cast <KPGTableIndex *> (pSelectedItem);
  KPGTableIndexesFolder *pIndexesFolder = static_cast <KPGTableIndexesFolder *> (pIndex->parent());
  KPGTable *pTable = static_cast <KPGTable *> (pIndexesFolder->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
    
  QString strNamespaceIndexName(pSchema->quotedName() + "." + pSelectedItem->quotedName());
  
  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "INDEX", strNamespaceIndexName, "");
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return; 
}

// Run ALTER Index SET TABLESPACE indexspace_name Wizard 
void KPoGreView::setTablespaceIndex()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::setTablespaceIndex: no item selected" << endl;
		return;
	}
	
	if(((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeIndex) &&
		((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodePrimaryKey)
		)
	{
		kdDebug() << "KPoGreView::setTablespaceIndex: item types mismatch" << endl;
		return;
	}
  
	KPGTableIndex *pIndex = static_cast <KPGTableIndex *> (pSelectedItem);
	KPGTableIndexesFolder *pIndexesFolder = static_cast <KPGTableIndexesFolder *> (pSelectedItem->parent());
	KPGTable *pTable = static_cast <KPGTable *> (pIndexesFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
		
	QString strNamespaceIndexName(pSchema->quotedName() + "." + pSelectedItem->quotedName());
	
	KPGSetTablespaceWizard wzd(this, "KPGSetTablespaceWizard", pServer->getTablespacesFolder(), "INDEX", strNamespaceIndexName, pIndex->tablespace());
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return; 
}

// Run Create Rule Wizard 
void KPoGreView::createRule()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createRule: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderRules)
	{
		kdDebug() << "KPoGreView::createRule: item types mismatch" << endl;
		return;
	}
	
	KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	if(createRuleWizard(pDatabase, pSchema, pTable))
	{
		refresh();
		pSelectedItem->displayProperties(m_pWidgetProperties);
	}
}
  
// Run Drop Rule Wizard 
void  KPoGreView::dropRule()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropRule: no item selected" << endl;
		return;
	}
		
		if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeRule)
	{
		kdDebug() << "KPoGreView::dropRule: item types mismatch" << endl;
		return;
	}
    
  	KPGRulesFolder *pRulesFolder = static_cast <KPGRulesFolder *> (pSelectedItem->parent());
  	KPGTable *pTable = static_cast <KPGTable *> (pRulesFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
	KPGDropObjectWizard wzd(
			this, 
			"KPGDropObjectWizard", 
			"RULE",
			pSchema->quotedName(),
			pSelectedItem->quotedName(),
			pTable->quotedName()
			);
  
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return;
	
	// Refresh parent item
	setWaitCursor();
	pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
	pRulesFolder->refresh(pqxxXaction, pTable->oid());
	setNormalCursor();	 
}
    
// Run Create Trigger Wizard 
void  KPoGreView::createTrigger()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::createTrigger: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTriggers)
	{
		kdDebug() << "KPoGreView::createTrigger: item types mismatch" << endl;
		return;
	}
	
	KPGTable *pTable = static_cast <KPGTable *> (pSelectedItem->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	if(createTriggerWizard(pDatabase, pSchema, pTable))
	{
		refresh();
		pSelectedItem->displayProperties(m_pWidgetProperties);
	}
}
  
// Run Drop Trigger Wizard 
void  KPoGreView::dropTrigger()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::dropTrigger: no item selected" << endl;
		return;
	}
		
		if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTrigger)
	{
		kdDebug() << "KPoGreView::dropTrigger: item types mismatch" << endl;
		return;
	}
    
  	KPGTriggersFolder *pTriggersFolder = static_cast <KPGTriggersFolder *> (pSelectedItem->parent());
  	KPGTable *pTable = static_cast <KPGTable *> (pTriggersFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
	KPGDropObjectWizard wzd(
			this, 
			"KPGDropObjectWizard", 
			"TRIGGER",
			pSchema->quotedName(),
			pSelectedItem->quotedName(),
			pTable->quotedName()
			);
	
		wzd.setConnection(pDatabase->connection());
			
		if(wzd.exec() != QDialog::Accepted)
		return;
		
		// Refresh parent item
		setWaitCursor();
		pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
		pTriggersFolder->refresh(pqxxXaction, pTable->oid());
		setNormalCursor();	 
}

// Run ALTER table ENABLE/DISABLE trigger Wizard 
void  KPoGreView::enableTrigger()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::enableTrigger: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTrigger)
	{
		kdDebug() << "KPoGreView::enableTrigger: item types mismatch" << endl;
		return;
	}
  
	KPGTrigger *pTrigger = static_cast <KPGTrigger *> (pSelectedItem);	
	KPGTriggersFolder *pTriggersFolder = static_cast <KPGTriggersFolder *> (pSelectedItem->parent());
  	KPGTable *pTable = static_cast <KPGTable *> (pTriggersFolder->parent());
  	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
  	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  	QString strNamespaceTableName(pSchema->quotedName() + "." + pTable->quotedName());
  
	QString strSQL("ALTER TABLE ");
	strSQL.append(pSchema->quotedName());
	strSQL.append(".");
	strSQL.append(pTable->quotedName());
	if(pTrigger->isEnabled())
		strSQL.append(" DISABLE");
	else
		strSQL.append(" ENABLE");
	
	strSQL.append(" TRIGGER ");
	strSQL.append(pTrigger->quotedName());
		
	KPG2StepsWizard wzd(this, i18n("Enable or disable triger"), strSQL, true);
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return;
		
	// save column name for look-up after refresh columns folder 
	QString strTriggerName(pTrigger->text(0));   
	
	setWaitCursor();
	pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
	pTriggersFolder->refresh(pqxxXaction, pTable->oid());
	setNormalCursor();
	
	pTrigger = static_cast <KPGTrigger *> (pTriggersFolder->getChildByName(strTriggerName));
	if(pTrigger)
	{
		m_pViewTree->ensureItemVisible(pTrigger);
		m_pViewTree->setSelected(pTrigger, true);
	}  
}

// Run ALTER Trigger RENAME Wizard 
void  KPoGreView::renameTrigger()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::renameTrigger: no item selected" << endl;
		return;
	}
	
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeTrigger)
	{
		kdDebug() << "KPoGreView::renameTrigger: item types mismatch" << endl;
		return;
	}
	
	KPGTriggersFolder *pTriggersFolder = static_cast <KPGTriggersFolder *> (pSelectedItem->parent());
	KPGTable *pTable = static_cast <KPGTable *> (pTriggersFolder->parent());
	KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
	KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
	
	QString strNamespaceTableName(pSchema->quotedName() + "." + pTable->quotedName());
	
	KPGRenameObjectWizard wzd(this, "KPGRenameObjectWizard", strNamespaceTableName, pSelectedItem->text(0),  "TRIGGER", i18n("trigger"));
	wzd.setConnection(pDatabase->connection());
		
	if(wzd.exec() != QDialog::Accepted)
		return;
	
	setWaitCursor();
	pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
	pTriggersFolder->refresh(pqxxXaction, pTable->oid());
	setNormalCursor();
	
	pSelectedItem = pTriggersFolder->getChildByName(wzd.newObjectName());
	if(pSelectedItem)
	{
		m_pViewTree->ensureItemVisible(pSelectedItem);
		m_pViewTree->setSelected(pSelectedItem, true);
	}    
}

void KPoGreView::createBaseType()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createBaseType: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTypes)
  {
    kdDebug() << "KPoGreView::createBaseType: item types mismatch" << endl;
    return;
  }
  
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QPtrList<QListViewItem> listOfSchemas;
  listOfSchemas.append(pSchema);
  
  if(createBaseTypeWizard(pDatabase, listOfSchemas))
    refresh();
}

void KPoGreView::createCompositeType()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::createCompositeType: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeFolderTypes)
  {
    kdDebug() << "KPoGreView::createCompositeType: item types mismatch" << endl;
    return;
  }
  
  KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  QPtrList<QListViewItem> listOfSchemas;
  listOfSchemas.append(pSchema);
  
  if(createCompositeTypeWizard(pDatabase, listOfSchemas))
    refresh();
}

void KPoGreView::dropType()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::dropTable: no item selected" << endl;
    return;
  }
  
  KPGTypesFolder *pTypesFolder = static_cast <KPGTypesFolder *> (pSelectedItem->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pTypesFolder->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  
  KPGDropObjectWizard wzd(
    this, 
    "KPGDropObjectWizard", 
    "TYPE",
    pSchema->quotedName(),
    pSelectedItem->quotedName()
    );
  
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
  
  // Refresh parent item
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pTypesFolder->refresh(pqxxXaction);
  setNormalCursor();
}

void KPoGreView::setOwnerType()
{
  KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
  if(! pSelectedItem)
  {
    kdDebug() << "KPoGreView::setOwnerType: no item selected" << endl;
    return;
  }
  
  if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != KPGTreeItem::nodeType)
  {
    kdDebug() << "KPoGreView::setOwnerType: item types mismatch" << endl;
    return;
  }
  
  KPGType *pType = static_cast <KPGType *> (pSelectedItem);
  KPGTypesFolder *pFolderTypes = static_cast <KPGTypesFolder *> (pType->parent());
  KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTypes->parent());
  KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  KPGServer *pServer = static_cast <KPGServer *> (pDatabase->parent()); 
  
  QString strNamespaceTypeName(pSchema->quotedName() + "." + pType->quotedName());
  
  KPGSetOwnerWizard wzd(this, "KPGSetOwnerWizard", pServer->getUsersFolder(), "TYPE", strNamespaceTypeName, pType->owner());
  wzd.setConnection(pDatabase->connection());
      
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  // save domain name for look-up after refresh types folder 
  QString strTypName(pType->text(0)); 
             
  setWaitCursor();
  pqxx::work pqxxXaction(* pDatabase->connection(), "refresh folder");
  pFolderTypes->refresh(pqxxXaction);
  setNormalCursor();
  
  pType = static_cast <KPGType *> (pFolderTypes->getChildByName(strTypName));
  if(pType)
  {
     m_pViewTree->ensureItemVisible(pType);
     m_pViewTree->setSelected(pType, true);
  }
}

void KPoGreView::setDescription()
{
	KPGTreeItem * pSelectedItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(! pSelectedItem)
	{
		kdDebug() << "KPoGreView::setDescription: no item selected" << endl;
		return;
	}
  
  	QString strOldDescription;
  	  	
  	if((pSelectedItem->type() == KPGTreeItem::nodeTable) ||
  	   (pSelectedItem->type() == KPGTreeItem::nodeView) ||
  	   (pSelectedItem->type() == KPGTreeItem::nodeType) ||
  	   (pSelectedItem->type() == KPGTreeItem::nodeFunction) ||
  	   (pSelectedItem->type() == KPGTreeItem::nodeSequence)
  	   )
	{
		KPGObject *pPgObject = static_cast <KPGObject *> (pSelectedItem);
		strOldDescription = pPgObject->getDescription();
		KPGItemsFolder *pFolder = static_cast <KPGItemsFolder *> (pPgObject->parent());
		KPGSchema *pSchema = static_cast <KPGSchema *> (pFolder->parent());
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
		
		QString strObjectName(pPgObject->quotedName());
		
		if(pSelectedItem->type() == KPGTreeItem::nodeFunction)
		{
			// Function requires full name with arguments
			strObjectName = (static_cast <KPGFunction *> (pPgObject))->fullName();
		}
		
		// Run wizard
		KPGSetDescriptionWizard wzd(this, 
		strOldDescription, 
		pPgObject->getObjectType(),
		pSchema->quotedName(),
		strObjectName
		);
		wzd.setConnection(pDatabase->connection());
	
		if(wzd.exec() != QDialog::Accepted)
			return;
	
		pPgObject->refreshItem();
  		pPgObject->displayProperties(m_pWidgetProperties);
	}
	else if(pSelectedItem->type() == KPGTreeItem::nodeTableColumn)
  	{
		KPGTableColumn *pColumn = static_cast <KPGTableColumn *> (pSelectedItem);
		KPGTable *pTable = static_cast <KPGTable *> (pColumn->getParentByType(KPGTreeItem::nodeTable));	
		strOldDescription = pColumn->getDescription();	
		
		KPGTablesFolder *pFolderTables = static_cast <KPGTablesFolder *> (pTable->parent());
		KPGSchema *pSchema = static_cast <KPGSchema *> (pFolderTables->parent());
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
		
		// Run wizard
		KPGSetDescriptionWizard wzd(this, 
			strOldDescription,
			"COLUMN",
			pSchema->quotedName(),
			pColumn->quotedName(),
			pTable->quotedName()
			);
		wzd.setConnection(pDatabase->connection());
	
		if(wzd.exec() != QDialog::Accepted)
			return;
	
		pColumn->refreshItem();
  		pColumn->displayProperties(m_pWidgetProperties);
	}
	else if((pSelectedItem->type() == KPGTreeItem::nodeIndex) || 
			(pSelectedItem->type() == KPGTreeItem::nodePrimaryKey)
		   )
	{
		KPGObject *pPgObject = static_cast <KPGObject *> (pSelectedItem);
		KPGItemsFolder *pFolder = static_cast <KPGItemsFolder *> (pPgObject->parent());
		KPGTable *pTable = static_cast <KPGTable *> (pFolder->parent());
		KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  	
  		strOldDescription = pPgObject->getDescription();
  		
  		// Run wizard
		KPGSetDescriptionWizard wzd(this, 
			strOldDescription,
			pPgObject->getObjectType(),
			pSchema->quotedName(),
			pPgObject->quotedName()
			);
		wzd.setConnection(pDatabase->connection());
	
		if(wzd.exec() != QDialog::Accepted)
			return;
	
		pPgObject->refreshItem();
  		pPgObject->displayProperties(m_pWidgetProperties);
	}
	else if((pSelectedItem->type() == KPGTreeItem::nodePrimaryKeyConstr) || 
			(pSelectedItem->type() == KPGTreeItem::nodeCheckConstr) || 
			(pSelectedItem->type() == KPGTreeItem::nodeRule) || 
			(pSelectedItem->type() == KPGTreeItem::nodeTrigger) || 
			(pSelectedItem->type() == KPGTreeItem::nodeForeignKeyConstr)
		   )
	{
		KPGObject *pPgObject = static_cast <KPGObject *> (pSelectedItem);
		KPGItemsFolder *pFolder = static_cast <KPGItemsFolder *> (pPgObject->parent());
		KPGTable *pTable = static_cast <KPGTable *> (pFolder->parent());
		KPGSchema *pSchema = static_cast <KPGSchema *> (pTable->parent()->parent());
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
  	
  		strOldDescription = pPgObject->getDescription();
  		
  		// Run wizard
		KPGSetDescriptionWizard wzd(this, 
			strOldDescription,
			pPgObject->getObjectType(),
			pSchema->quotedName(),
			pPgObject->quotedName(),
			pTable->quotedName()
			);
		wzd.setConnection(pDatabase->connection());
	
		if(wzd.exec() != QDialog::Accepted)
			return;
	
		pPgObject->refreshItem();
  		pPgObject->displayProperties(m_pWidgetProperties);
	}
	else if((pSelectedItem->type() == KPGTreeItem::nodeSchema))
	{
		KPGSchema *pSchema = static_cast <KPGSchema *> (pSelectedItem);
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSchema->parent());
		
		strOldDescription = pSchema->getDescription();
		
		// Run wizard
		KPGSetDescriptionWizard wzd(this, 
			strOldDescription,
			pSchema->getObjectType(),
			pSchema->quotedName(),
			pSchema->quotedName()
			);
		wzd.setConnection(pDatabase->connection());
	
		if(wzd.exec() != QDialog::Accepted)
			return;
	
		pSchema->refreshItem();
  		pSchema->displayProperties(m_pWidgetProperties);
	}
	else
	{
		kdDebug() << "KPoGreView::setDescription: unsupported type" << endl;
	}
}
  
/////////////////////////////////////////////////////////////////////
//                           OTHER SLOTS
/////////////////////////////////////////////////////////////////////

/**
* Refresh comboboxes that contains available servers and their databases
*/
void KPoGreView::slotCurrentChildViewChanged( KMdiChildView * pNewCurrentView)
{
	if(pNewCurrentView == 0) return;
	if(pNewCurrentView->className() == QString("KPGSqlQueryResultChildView"))
	{
		KPGSqlQueryResultChildView *pChildView = static_cast <KPGSqlQueryResultChildView*> (pNewCurrentView);
		
		// user selected SQL query/result window - update their connections list
		KPGSqlQueryResultWindow* pQueryResultWindow = pChildView->getSqlQueryResultWindow();
		
		// store selected server and database
		QString strServer(pQueryResultWindow->m_pComboBoxServer->currentText());
		QString strDatabase(pQueryResultWindow->m_pComboBoxDatabase->currentText());
		
		// If stored selected server or database is not found don't try reselect it  
		bool bCurrentServerIsFound = false;
		bool bCurrentDatabaseIsFound = false;
		
		pQueryResultWindow->m_pComboBoxServer->clear();
		pQueryResultWindow->m_pComboBoxDatabase->clear();
		
		QStringList strLisOfActiveDbConnections;
		
		// Traverse trough servers, check if current server is stil found
		QListViewItem * pItem = m_pViewTree->firstChild();
		while(pItem)
		{
			if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
			{
				if(pItem->text(0) == strServer)
				{
					bCurrentServerIsFound = true;
					break;
				}
			}
			
			pItem = pItem->nextSibling();
		}
		
		// Traverse trough servers
		pItem = m_pViewTree->firstChild();
		while(pItem)
		{
			if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
			{
				KPGServer *pServer = static_cast <KPGServer *> (pItem);
								
				//--- traverse list of connected databases
				QListViewItem * pItem2 = pServer->firstChild();
				
				if(pItem2)
					pQueryResultWindow->m_pComboBoxServer->insertItem(*pServer->pixmap(0), pServer->text(0));
					
				if(strServer == pServer->text(0)) // add databases for selected server
				{					
					while(pItem2)
					{
						if((static_cast <KPGTreeItem *> (pItem2))->type() == KPGTreeItem::nodeDatabase)
						{
							KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pItem2);
							if(pDatabase->connection())
							{ 
		                        if(pDatabase->text(0) == strDatabase)
                                    bCurrentDatabaseIsFound = true;      
                                        
                                pQueryResultWindow->m_pComboBoxDatabase->insertItem(*pDatabase->pixmap(0), pDatabase->text(0));
							}
						}
						pItem2 = pItem2->nextSibling();
					}	
				}
								 
			}
			pItem = pItem->nextSibling();
		}
		
		// restore selected values
		if(bCurrentServerIsFound && (strServer.length() > 0))
			pQueryResultWindow->m_pComboBoxServer->setCurrentText(strServer);
		else
			slotRequestDatabasesList(pQueryResultWindow, pQueryResultWindow->m_pComboBoxServer->currentText()); 
			
		if(bCurrentDatabaseIsFound && bCurrentServerIsFound && (strDatabase.length() > 0))
			pQueryResultWindow->m_pComboBoxDatabase->setCurrentText(strDatabase);
		
    	setActions(pQueryResultWindow);  
	}
	else
	{ 
		emit sigEnableRunQueryAction(false);
    	emit sigEnableStopQueryAction(false);
    	emit sigEnableDbFetchActions(false, false);
    	emit sigEnableFileActions(false, false, false);
		emit sigEnableEditActions(false, false, false, false, m_pViewTree->selectedItem() != 0, false);
	} 
}

void KPoGreView::slotQueryResultStateChanged(KPGSqlQueryResultWindow* pQueryResultWindow)
{
	KPGSqlQueryResultWindow* pQueryResultWindowActive = getActiveSqlQueryResultWindow();
	if(pQueryResultWindowActive == 0)
		return;
		 
  	if(pQueryResultWindowActive != pQueryResultWindow)
    	return; // page that emited this signal is not selected
   
   	setActions(pQueryResultWindow);
}

void KPoGreView::slotSchemaPropTabChanged(KPGSchemaPropPage *pPropertyPage, QWidget * pNewCurrentPage)
{
	KPGTreeItem * pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());
	if(pItem )
  	{
    	if(pItem->type() != KPGTreeItem::nodeSchema)
      		return;
			
		KPGSchema *pSchema = static_cast <KPGSchema *> (pItem);
		pSchema->displayTabPage(pPropertyPage, pNewCurrentPage);
			
	}
}

// Show popup for item in tree rightpressed
void KPoGreView::slotTreeViewRightButtonPressed(QListViewItem* pressedItem, const QPoint& point, int column)
{
	if(column >= 0)
    {
    	KPGTreeItem * pItem = static_cast <KPGTreeItem *> (pressedItem);
			
      	switch(pItem->type())
      	{
        //******************************************************************************************
		//
		// Main objects
		//
		//******************************************************************************************
				
			case KPGTreeItem::nodeServer:
				emit sigContextMenuRequested("popupServer", point);
				break;
				
			case KPGTreeItem::nodeDatabase:
				emit sigContextMenuRequested("popupDatabase", point);
				break; 
				
			case KPGTreeItem::nodeSchema:
				emit sigContextMenuRequested("popupSchema", point);
				break; 
					
			case KPGTreeItem::nodeFolderUsers:
				emit sigContextMenuRequested("popupFolderUsers", point);
				break;
				
			case KPGTreeItem::nodeFolderGroups:
				emit sigContextMenuRequested("popupFolderGroups", point);
				break;

			case KPGTreeItem::nodeFolderTablespaces:
				emit sigContextMenuRequested("popupFolderTablespaces", point);
				break;
					
			case KPGTreeItem::nodeTablespace:
				emit sigContextMenuRequested("popupTablespace", point);
				break; 
												
			//******************************************************************************************
			//
			// Database objects folders
			//
			//******************************************************************************************
				
			case KPGTreeItem::nodeFolderTables:
				emit sigContextMenuRequested("popupFolderTables", point);
				break; 
				
			case KPGTreeItem::nodeFolderViews:
				emit sigContextMenuRequested("popupFolderViews", point);
				break; 
				
			case KPGTreeItem::nodeFolderSequences:
				emit sigContextMenuRequested("popupFolderSequences", point);
				break; 
				
			case KPGTreeItem::nodeFolderFunctions:
				emit sigContextMenuRequested("popupFolderFunctions", point);
				break;
				
			case KPGTreeItem::nodeFolderOperators:
				emit sigContextMenuRequested("popupFolderOperators", point);
				break; 
					
			case KPGTreeItem::nodeFolderOperatorClasses:
				emit sigContextMenuRequested("popupFolderOperatorClasses", point);
				break; 
				
			case KPGTreeItem::nodeFolderAggregates:
				emit sigContextMenuRequested("popupFolderAggregates", point);
				break;
					
			case KPGTreeItem::nodeFolderDomains:
				emit sigContextMenuRequested("popupFolderDomains", point);
				break;
				
			case KPGTreeItem::nodeFolderTypes:
				emit sigContextMenuRequested("popupFolderTypes", point);
				break;
				
			case KPGTreeItem::nodeFolderLanguages:
				emit sigContextMenuRequested("popupFolderLanguages", point);
				break;
				
			case KPGTreeItem::nodeFolderConversions:
				emit sigContextMenuRequested("popupFolderConversions", point);
				break;
					
			case KPGTreeItem::nodeFolderCasts:
				emit sigContextMenuRequested("popupFolderCasts", point);
				break;		
				
			//******************************************************************************************
			//
			// Database objects
			//
			//******************************************************************************************
				
			case KPGTreeItem::nodeTable:
				emit sigContextMenuRequested("popupTable", point);
				break; 
				
			case KPGTreeItem::nodeView:
				emit sigContextMenuRequested("popupView", point);
				break; 
				
			case KPGTreeItem::nodeFunction:
          		emit sigContextMenuRequested("popupFunction", point);
				break; 
				
			case KPGTreeItem::nodeSequence:
          		emit sigContextMenuRequested("popupSequence", point);
				break;
									 
			case KPGTreeItem::nodeOperator:
				break; 
					
			case KPGTreeItem::nodeOperatorClass:
				break; 
					
			case KPGTreeItem::nodeAggregate:
				break;
					
			case KPGTreeItem::nodeDomain:
          		emit sigContextMenuRequested("popupDomain", point);
				break;
					
			case KPGTreeItem::nodeType:
          		emit sigContextMenuRequested("popupType", point);
				break;
					
			case KPGTreeItem::nodeLanguage:
          		emit sigContextMenuRequested("popupLanguage", point);
				break;
					
			case KPGTreeItem::nodeConversion:
				break;
					
			case KPGTreeItem::nodeCast:
				break;	 
				
			case KPGTreeItem::nodeUser:
				emit sigContextMenuRequested("popupUser", point);
				break; 
				
			case KPGTreeItem::nodeGroup:
				emit sigContextMenuRequested("popupGroup", point);
				break;	 
				
			//******************************************************************************************
			//
			// Table objects folders
			//
			//******************************************************************************************
				
			case KPGTreeItem::nodeFolderTableColumns:
				emit sigContextMenuRequested("popupFolderTableColumns", point);
				break; 
				
			case KPGTreeItem::nodeFolderTableIndexes:
				emit sigContextMenuRequested("popupFolderTableIndexes", point);
				break; 
				
			case KPGTreeItem::nodeFolderTableConstraints:
				emit sigContextMenuRequested("popupFolderTableConstraints", point);
				break;
				
			case KPGTreeItem::nodeFolderRules:
				emit sigContextMenuRequested("popupFolderRules", point);
				break; 
				
			case KPGTreeItem::nodeFolderTriggers:
				emit sigContextMenuRequested("popupFolderTriggers", point);
				break;
				
        	//******************************************************************************************
        	//
        	// Domain objects folders
        	//
			//******************************************************************************************
				
        
	        case KPGTreeItem::nodeFolderDomainConstraints:
				emit sigContextMenuRequested("popupFolderDomainConstraints", point);
				break;
			
			case KPGTreeItem::nodeDomainConstr:
				emit sigContextMenuRequested("popupDomainConstraint", point);
				break;
			
			//******************************************************************************************
			//
			// Table objects
			//
			//******************************************************************************************
												
			case KPGTreeItem::nodeTableColumn:
				emit sigContextMenuRequested("popupTableColumn", point);
				break;
					
			case KPGTreeItem::nodePrimaryKeyConstr:
			case KPGTreeItem::nodeForeignKeyConstr:
			case KPGTreeItem::nodeUniqueConstr:
			case KPGTreeItem::nodeCheckConstr:
				emit sigContextMenuRequested("popupTableConstraint", point);
				break;
										
			case KPGTreeItem::nodePrimaryKey:
			case KPGTreeItem::nodeIndex:
				emit sigContextMenuRequested("popupTableIndex", point);
				break; 
					
			case KPGTreeItem::nodeRule:
				emit sigContextMenuRequested("popupRule", point);
				break; 
					
			case KPGTreeItem::nodeTrigger:
				emit sigContextMenuRequested("popupTrigger", point);
				break; 
			
			//******************************************************************************************
					
			case KPGTreeItem::nodeUnselected:
				break; 
			
			default:
			kdDebug() << "KPoGreView::slotTreeViewRightButtonPressed - unhandled object type ! " << pItem->text(0) << endl;
			break;
    	}
	}
}

// Checks, which type of item was selected
void KPoGreView::slotSelectionChanged()
{
	setWaitCursor();
		
	KPGTreeItem * pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if ( ! pItem )
	{ 
		emit sigSelectionChanged(KPGTreeItem::nodeUnselected, 0, m_stackBackNodes.count(), m_stackForwardNodes.count());
      	createPropertyPageChildView(0);
      	setNormalCursor();
		return;
    }
	else
    {
		emit sigSelectionChanged(pItem->type(), pItem, m_stackBackNodes.count(), m_stackForwardNodes.count());
		createPropertyPageChildView(pItem);
    }
		
	if(pItem->type() != KPGTreeItem::nodeUnselected)
	{
		pItem->displayProperties(m_pWidgetProperties);
		
		// For database, check if connection state is changed
		if(pItem->type() == KPGTreeItem::nodeDatabase)
		{
			KPGDatabase *pDatabase = static_cast <KPGDatabase *>	(pItem);
			if(pDatabase->isConnectionStateChanged())
			{
				pDatabase->clearConnectionStateChanged();
				
				// Inform active MDI child about change of available servers, databases
				KMdiChildView *activeMdiView = activeWindow();
				if(activeMdiView)
				{
					slotCurrentChildViewChanged(activeMdiView);
				}
			}
		}
	}
	
	setNormalCursor();
}

// Caled when user change selected server in SQL query / result window
// Set server's databases to combobox in SQL query / result window
void KPoGreView::slotRequestDatabasesList(KPGSqlQueryResultWindow *pQueryResultWindow, const QString& strServer)
{
	pQueryResultWindow->m_pComboBoxDatabase->clear();
		
	QStringList strLisOfActiveDbConnections;
		
	QListViewItem * pItem = m_pViewTree->firstChild();
	while(pItem)
	{
		if((static_cast <KPGTreeItem *> (pItem))->type() == KPGTreeItem::nodeServer)
		{
			KPGServer *pServer = static_cast <KPGServer *> (pItem);
			if(pServer->text(0) != strServer)
			{
				pItem = pItem->nextSibling(); continue;
			}
								
			//--- traverse list of connected databases
			QListViewItem * pItem2 = pServer->firstChild();
			if(pItem2)
				emit sigEnableRunQueryAction(true);

			while(pItem2)
			{
				if((static_cast <KPGTreeItem *> (pItem2))->type() == KPGTreeItem::nodeDatabase)
				{
					KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pItem2);
					if(pDatabase->connection())
						pQueryResultWindow->m_pComboBoxDatabase->insertItem(*pDatabase->pixmap(0), pDatabase->text(0));
				}
					
				pItem2 = pItem2->nextSibling();
			}	 
		}
		pItem = pItem->nextSibling();
	}
}

// Called from property pages when user double-clicks on KPGLinkLabel
void KPoGreView::slotSearchObject(const pqxx::oid _oid)
{
	// Start find from current items parent server
	KPGTreeItem *pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

	if(!pItem)
	{
	  KMessageBox::sorry(this, i18n("No item selected "));
		kdError() << "KPoGreView::slotSearchObject - item is not selected " << endl;
		return;    
	}
		
	// Store pointer to old item
	KPGTreeItem *pOldItem = pItem;

	// Go up to parent server
	while(pItem->type() != KPGTreeItem::nodeServer)
	{
		pItem = static_cast <KPGTreeItem *> (pItem->parent());
		if(!pItem)
		{
		  kdError() << "KPoGreView::slotSearchObject - internal error !!!" << endl;
			return;    
		}
	}

	//--- Search item ---------------------------------
	while(pItem)
	{
		if((pItem->hasOid()))
		{
			KPGObject *pObject = static_cast <KPGObject *> (pItem);
			
			if(pObject->oid() == _oid)
			{
				// store info about previously selected item to stack
				if((pOldItem->hasOid()))
				{
					KPGObject *pOldObject = static_cast <KPGObject *> (pOldItem);
					m_stackBackNodes.push(KPGOidLink(pOldObject->oid(), pOldObject->path()));
				}
				else
					m_stackBackNodes.push(KPGOidLink(0, pOldItem->path()));
				
				m_stackForwardNodes.clear();
					
				// select new item
				selectItem(pItem);
				
				return;
			}
		}
		
		pItem = nextTreeItem(pItem);
	}
	
	KMessageBox::sorry(this, i18n("Searched item not found"));
}

// Called when property page need run Wizard
void KPoGreView::slotRunWizard(const QString &strSQL)
{
  KPGTreeItem *pItem = static_cast <KPGTreeItem *> (m_pViewTree->selectedItem());

  if(!pItem)
  {
    KMessageBox::sorry(this, i18n("No item selected "));
    kdError() << "KPoGreView::slotRunWizard - item is not selected " << endl;
    return;    
  }
  
  KPG2StepsWizard wzd(this, i18n("Change privileges"), strSQL, false);
  wzd.setConnection(pItem->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return;
     
  // refresh only item info, not child items if possible
  pItem->refreshItem();
  pItem->displayProperties(m_pWidgetProperties);
}
  
// Called when user change SQL query in editor
void KPoGreView::slotQueryTextChanged(KPGSqlQueryResultWindow *pQueryResultWindow)
{
	emit sigEnableFileActions(true, true, !pQueryResultWindow->resultEmpty());
	
	emit sigEnableEditActions(pQueryResultWindow->editQuery()->isUndoAvailable(),
														pQueryResultWindow->editQuery()->isRedoAvailable(), 
														pQueryResultWindow->editQuery()->hasSelectedText(),
														true,
														m_pViewTree->selectedItem() != 0, 
														pQueryResultWindow->editQuery()->length() > 0
													 );
                           
  slotSetTerminalIcon(pQueryResultWindow, 0); // set black terminal icon
}

// Called when availability of copy action is changed in SQL query editor
void KPoGreView::slotCopyAvailable(KPGSqlQueryResultWindow *pQueryResultWindow, bool bCopyAvailable)
{
	emit sigEnableEditActions(pQueryResultWindow->editQuery()->isUndoAvailable(),
														pQueryResultWindow->editQuery()->isRedoAvailable(), 
														bCopyAvailable,
														true,
														m_pViewTree->selectedItem() != 0, 
														pQueryResultWindow->editQuery()->length() > 0
													 );
}

// Called when availability of undo action is changed in SQL query editor
void KPoGreView::slotUndoAvailable(KPGSqlQueryResultWindow *pQueryResultWindow, bool bUndoAvailable)
{
	emit sigEnableEditActions(bUndoAvailable,
														pQueryResultWindow->editQuery()->isRedoAvailable(), 
														pQueryResultWindow->editQuery()->hasSelectedText(),
														true,
														m_pViewTree->selectedItem() != 0, 
														pQueryResultWindow->editQuery()->length() > 0
													 );
}
	
// Called when availability of redo action is changed in SQL query editor
void KPoGreView::slotRedoAvailable(KPGSqlQueryResultWindow *pQueryResultWindow, bool bRedoAvailable)
{
	emit sigEnableEditActions(pQueryResultWindow->editQuery()->isUndoAvailable(),
														bRedoAvailable, 
														pQueryResultWindow->editQuery()->hasSelectedText(),
														true,
														m_pViewTree->selectedItem() != 0, 
														pQueryResultWindow->editQuery()->length() > 0
													 );
}

// Called when requested change terminal icon in this QTabWidget 
void KPoGreView::slotSetTerminalIcon(KPGSqlQueryResultWindow *pWidget, int iColor)
{
  switch(iColor)
  {
    case 0: ((KMdiChildView *) pWidget->parent())->setIcon(SmallIcon("openterm"));   
            break;
    
    case 1: ((KMdiChildView *) pWidget->parent())->setIcon(UserIcon("opentermred.png"));
            break;
    
    case 2: ((KMdiChildView *) pWidget->parent())->setIcon(UserIcon("opentermblue.png"));
            break;
  }
}

/////////////////////////////////////////////////////////////////////
//                       WIZARDS FUNCTIONS
/////////////////////////////////////////////////////////////////////


// Run Create Database Wizard 
bool KPoGreView::createDatabaseWizard(KPGServer *pServer)
{
	KPGCreateDatabaseWizard wzd(this, "Create new database", pServer);
			
	wzd.setConnection(pServer->connection());
		
	if(wzd.exec() != QDialog::Accepted)
     return false;
  
	return true;
}

// Run Create Tablespace Wizard 
bool KPoGreView::createTablespaceWizard(KPGServer *pServer)
{
  KPGCreateTablespaceWizard wzd(this, "KPGCreateTablespaceWizard", pServer);
  wzd.setConnection(pServer->connection());
  
  if(wzd.exec() != QDialog::Accepted)
     return false;
     
  return true;
}

// Run Create Group Wizard 
bool KPoGreView::createGroupWizard(KPGServer *pServer)
{
	KPGCreateGroupWizard wzd(this, "KPGCreateGroupWizard", pServer->getUsersFolder());
	wzd.setConnection(pServer->connection());
	
	if(wzd.exec() != QDialog::Accepted)
     return false;
		 
	return true;
}

// Run Create User Wizard 
bool KPoGreView::createUserWizard(KPGServer *pServer)
{
	KPGCreateUserWizard wzd(this, "KPGCreateUserWizard", pServer);
	wzd.setConnection(pServer->connection());
	
	if(wzd.exec() != QDialog::Accepted)
     return false;
		 
	return true;
}

// Run Create Schema Wizard 
bool KPoGreView::createSchemaWizard(KPGDatabase *pDatabase)
{
	KPGCreateSchemaWizard wzd(this, "KPGCreateSchemaWizard", pDatabase);
	wzd.setConnection(pDatabase->connection());
	
	if(wzd.exec() != QDialog::Accepted)
     return false;
		 
	return true;
}

// Run Create Language Wizard 
bool KPoGreView::createLanguageWizard(KPGDatabase *pDatabase)
{
  KPGCreateLanguageWizard wzd(this, "KPGCreateLanguageWizard", pDatabase);
  wzd.setConnection(pDatabase->connection());
  
  if(wzd.exec() != QDialog::Accepted)
     return false;
     
  return true;
}

// Run Create Table Wizard 
bool KPoGreView::createTableWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
	KPGCreateTableWizard wzd(this, "KPGCreateTableWizard", pDatabase, listOfSchemas);
  wzd.setConnection(pDatabase->connection());
	
	if(wzd.exec() != QDialog::Accepted)
     return false;
  
	return true;
}

// Run Create Type Wizard 
bool KPoGreView::createBaseTypeWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
  KPGCreateBaseTypeWizard wzd(this, "KPGCreateBaseTypeWizard", pDatabase, listOfSchemas);
  wzd.setConnection(pDatabase->connection());
          
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Type Wizard 
bool KPoGreView::createCompositeTypeWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
  KPGCreateCompositeTypeWizard wzd(this, "KPGCreateCompositeTypeWizard", pDatabase, listOfSchemas);
  wzd.setConnection(pDatabase->connection());
          
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create View Wizard 
bool KPoGreView::createViewWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
	KPGCreateViewWizard wzd(this, "KPGCreateViewWizard", pDatabase, listOfSchemas);
	wzd.setConnection(pDatabase->connection());
  
	if(wzd.exec() != QDialog::Accepted)
     return false;
  
	return true;
}

// Run Create Domain Wizard 
bool KPoGreView::createDomainWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
  KPGCreateDomainWizard wzd(this, "KPGCreateDomainWizard", pDatabase, listOfSchemas);
  wzd.setConnection(pDatabase->connection());
  
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Function Wizard 
bool KPoGreView::createFunctionWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
  KPGCreateFunctionWizard wzd(this, "KPGCreateFunctionWizard", pDatabase, listOfSchemas);
  wzd.setConnection(pDatabase->connection());
  
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Sequence Wizard 
bool KPoGreView::createSequenceWizard(KPGDatabase *pDatabase, QPtrList<QListViewItem> & listOfSchemas)
{
  KPGCreateSequenceWizard wzd(this, "KPGCreateSequenceWizard", listOfSchemas);
  wzd.setConnection(pDatabase->connection());
    
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run simple 2-steps for dropping DB object
bool KPoGreView::dropObjectWizard(
	KPGTreeItem * pSelectedItem, 				// item to DROP
	KPGTreeItem::eNodeType nodeType, 		// object type
	const char *szObjectTypeName, 			// user for  SQL statement - DROP OBJECTYPE
	KPGConnection *pConnection, 				// connection for SQL operation
	const QString &strSchemaName,				// optional schema name
  bool bWithTransaction               // run SQL with transaction
	)
{
	if((static_cast <KPGTreeItem *> (pSelectedItem))->type() != nodeType)
	{
		kdDebug() << "KPoGreView::dropDbObject: item types mismatch" << endl;
		return false;
	}
		
	QString strSQL("DROP ");
	strSQL.append(szObjectTypeName);
	strSQL.append(" ");
	
	if(strSchemaName.length() > 0)
	{
    strSQL.append(strSchemaName);
		strSQL.append(".");
	}
	
	// object name
	strSQL.append(pSelectedItem->quotedName());
	strSQL.append(";");
	
	KPG2StepsWizard wzd(this, i18n("Drop object"), strSQL, bWithTransaction);
	wzd.setConnection(pConnection);
		
	if(wzd.exec() != QDialog::Accepted)
     return false;
  
	// Refresh parent item
	setWaitCursor();
	
	if(nodeType == KPGTreeItem::nodeSchema)
	{
		KPGDatabase *pDatabase = static_cast <KPGDatabase *> (pSelectedItem->parent());
		pDatabase->refresh();
	}
	else
	{		
		pqxx::work pqxxXaction(* pConnection, "refresh folder");
		KPGItemsFolder *pParentFolder = static_cast <KPGItemsFolder *> (pSelectedItem->parent());
		pParentFolder->refresh(pqxxXaction);
	}
	
	setNormalCursor();

	return true;
}

// Run simple 2-steps for dropping Table child object, using ALTER table DROP ...
bool KPoGreView::dropTableObjectWizard(
	KPGTreeItem * pSelectedItem, 			// item to DROP
	const char *szObjectTypeName, 			// user for  SQL statement - DROP OBJECTYPE
	KPGConnection *pConnection, 			// connection for SQL operation
	const QString &strNamespace,			// schema name
  	const QString &strTableName,			// table name
	bool bWithTransaction           	    // run SQL with transaction
	)
{
	
	
	KPGDropTableObjectWizard wzd(this, 
	"KPGDropTableObjectWizard", 
	szObjectTypeName, 
	strNamespace,
	pSelectedItem->quotedName(),
	strTableName
	);
	
	wzd.setConnection(pConnection);
		
	if(wzd.exec() != QDialog::Accepted)
     return false;
  
	// Refresh parent item
	setWaitCursor();
	
	KPGTableItemsFolder *pParentFolder = static_cast <KPGTableItemsFolder *> (pSelectedItem->parent());
	pParentFolder->refresh(); // TODO: When drop constraint, refresh also indexes !
		
	setNormalCursor();

	return true;
}

// Run ALTER table ADD Column Wizard
bool KPoGreView::createColumnWizard(KPGDatabase *pDatabase, KPGSchema *pSchema, KPGTable *pTable)
{
  KPGCreateTableColumnWizard wzd(this, "KPGCreateTableColumnWizard", pDatabase, pSchema->quotedName(), pTable->quotedName());
  wzd.setConnection(pDatabase->connection());
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Constraint Wizard 
bool KPoGreView::createConstraintWizard(KPGDatabase *pDatabase, KPGSchema *pSchema, KPGTable *pTable, int iRaisedWidget)
{
  KPGCreateTableConstraintWizard wzd(this, "KPGCreateTableConstraintWizard", pDatabase, pSchema, pTable, pTable->primaryKeyName().isEmpty(), iRaisedWidget);
  wzd.setConnection(pDatabase->connection());
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Index Wizard 
bool KPoGreView::createIndexWizard(KPGDatabase *pDatabase, KPGSchema *pSchema, KPGTable *pTable)
{
  KPGCreateTableIndexWizard wzd(this, "KPGCreateTableIndexWizard", pDatabase, pSchema, pTable);
  wzd.setConnection(pDatabase->connection());
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Rule Wizard 
bool KPoGreView::createRuleWizard(KPGDatabase *pDatabase, KPGSchema *pSchema, KPGTable *pTable)
{
  KPGCreateRuleWizard wzd(this, "KPGCreateRuleWizard", pSchema, pTable);
  wzd.setConnection(pDatabase->connection());
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

// Run Create Trigger Wizard 
bool KPoGreView::createTriggerWizard(KPGDatabase *pDatabase, KPGSchema *pSchema, KPGTable *pTable)
{
  KPGCreateTriggerWizard wzd(this, "KPGCreateTriggerWizard", pDatabase, pSchema->quotedName(), pTable->quotedName());
  wzd.setConnection(pDatabase->connection());
  if(wzd.exec() != QDialog::Accepted)
     return false;
  
  return true;
}

//-------------------------------------------------------------------------
//
// Other slots, that aren't dedicated to KPoGreController
//
//-------------------------------------------------------------------------
    
/** Dialog for key binding configuration */
void KPoGreView::slotConfigureKeys()
{
  KKeyDialog::configure(actionCollection(), xmlFile());
}

/** Configure toolbars dialog */
void KPoGreView::slotConfigToolbars()
{
  	saveMainWindowSettings(KGlobal::config(), "KPogreMainWindow");
  	KEditToolbar dlg(actionCollection());

	if (dlg.exec())
	{ 
		createGUI(0);
	}
}

/** Configure application */
void KPoGreView::slotConfigure()
{
	m_pController->slotStatusMsg( i18n("Configure KPoGre ...") );
	configuration()->showDialog();
	m_pController->slotStatusMsg( i18n("Ready.") );
}

// Called when user choose bookmark
void KPoGreView::slotOpenUrl( const QString& strUrl)
{
  openUrl(strUrl);
}

// Display popup menu
void KPoGreView::slotContextMenuRequested(const QString & strMenuName, const QPoint & pos)
{
	QWidget * pContainer = guiFactory()->container(strMenuName, this);

	if ( ! pContainer )
	{
		kdError() << "KPoGreView " << k_funcinfo << " Couldn't get a container widget for the given menu name (" << strMenuName << ")" << endl;
		return;
	}

	if ( ! pContainer->inherits("KPopupMenu") )
	{
		kdError() << "KPoGreController " << k_funcinfo << " Wrong container widget" << endl;
		return;
	}

	KPopupMenu * pMenu = static_cast <KPopupMenu*> (pContainer);
	pMenu->popup( pos );
}

